<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<html>
			<head>
				<SCRIPT LANGUAGE="JavaScript"><![CDATA[

function test() {
  var ua = window.navigator.userAgent
  var msie = ua.indexOf ( "MSIE " )
  if ( msie == -1 ) 
    document.write("<P>" + "Netscape")
}

      function fix(e) {
        var par = e.parentNode;
        e.id = "";
        e.style.marginLeft = "0.42in";
        var pos = e.innerText.indexOf("\n");
        if (pos > 0) {
          while (pos > 0) {
            var t = e.childNodes(0);
            var n = document.createElement("PRE");
            var s = t.splitText(pos);
            e.insertAdjacentElement("afterEnd", n);
            n.appendChild(s);
            n.style.marginLeft = "0.42in";
            e = n;
            pos = e.innerText.indexOf("\n");
          }
          var count = (par.children.length);
          for (var i = 0; i < count; i++) {
            e = par.children(i);
            if (e.tagName == "PRE") {
              pos = e.innerText.indexOf(">");
              if (pos != 0) {
                n = document.createElement("DD");
                e.insertAdjacentElement("afterEnd", n);
                n.innerText = e.innerText;
                e.removeNode(true);
              }
            }
          }
          if (par.children.tags("PRE").length > 0) {
            count = (par.children.length);
            for (i = 0; i < count; i++) {
              e = par.children(i);
              if (e.tagName == "PRE") {
                e.id = "";
                if (i < (count-1)) {
                  var e2 = par.children(i + 1);
                  if (e2.tagName == "PRE") {
                    e.insertAdjacentText("beforeEnd", e2.innerText+"\n");
                    e2.removeNode(true);
                    count = count-1;
                    i = i-1;
                  }
                }
              }
            }
          }
        }
        else {
          n = document.createElement("DD");
          par.appendChild(n);
          n.innerText = e.innerText;
          e.removeNode(true);
        }
      }

    ]]></SCRIPT>
				<style>
    				.sum_text {font-family:Verdana; font-size: 10pt; color:#006400;}
    				.sum_title {font-family:Verdana; font-size: 12pt; color:#006400; font-weight: bold;}
     			.common {font-family:Verdana; font-size: 10pt; color:#0000AA;}
     			.specific {font-family:Verdana; font-size: 10pt; color:#006400;}
     			.note {font-size: 8pt;}
     			.toc {font-size: 11pt;}
     			.title_1 {color:#646464; font-size: 12pt;} 
     			.title_2 {color:#646464} 
   				</style>
				<title>Eurosion metadata</title>
				<!-- label -->
			</head>
			<body BGCOLOR="#FFFFFF" ONCONTEXTMENU="return false" class="common">
				<!-- SHOW METADATA SUMMARY -->
				<table COLS="2" WIDTH="100%" BGCOLOR="#CCFFCC" CELLPADDING="11" BORDER="0" CELLSPACING="0">
					<!-- show title -->
					<xsl:if test="/metadata/dataIdInfo/idCitation/resTitle">
						<tr ALIGN="center" VALIGN="center">
							<td COLSPAN="2" class="sum_title">
								<xsl:value-of select="/metadata/dataIdInfo/idCitation/resTitle"/>
							</td>
						</tr>
					</xsl:if>
					<tr ALIGN="left" VALIGN="top">
						<!-- show thumbnail  -->
						<xsl:if test="/metadata/dataIdInfo/graphOver/bgFileName">
							<td>
								<xsl:choose>
									<!-- would also test for natvform and file name -->
									<xsl:when test="/metadata[dataIdInfo/descKeys/keyTyp/KeyTypCd[@value = '001'] |
        		 										RefSystem/refSysId/identCode/text() | 
        		 										MdCoRefSys/refSysId/identCode/text() | 
	 		 										distInfo/distributor/distorCont/rpOrgName/text() |
	 		 										distInfo/distributor/distorCont/cntOnLineRes/linkage/text()]">
										<xsl:attribute name="WIDTH">210</xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="ALIGN">center</xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
								<font COLOR="#006400" FACE="Verdana" SIZE="2">
									<xsl:apply-templates select="/metadata/dataIdInfo/graphOver/bgFileName"/>
								</font>
							</td>
						</xsl:if>
						<!-- show format, file name, coordinate system, theme keywords -->
						<xsl:if test="/metadata[dataIdInfo/descKeys/keyTyp/KeyTypCd[@value = '001'] |													RefSystem/refSysId/identCode/text() | MdCoRefSys/refSysId/identCode/text() |
										distInfo/distFormat/formatName/text() |
	 									distInfo/distributor/distorCont/rpOrgName/text()]">
							<td class="sum_text">
								<xsl:call-template name="summary_tpl">
									<xsl:with-param name="name" select="/metadata/distInfo/distFormat/formatName"/>
									<xsl:with-param name="label" select="'Data format: '"/>
								</xsl:call-template>
								<xsl:call-template name="summary_tpl">
									<xsl:with-param name="name" select="/metadata/RefSystem/refSysId/identCode | /metadata/MdCoRefSys/refSysId/identCode"/>
									<xsl:with-param name="label" select="'Coordinate system: '"/>
								</xsl:call-template>
								<xsl:call-template name="summary_tpl">
									<xsl:with-param name="name" select="/metadata/distInfo/distributor/distorCont/rpOrgName"/>
									<xsl:with-param name="label" select="'Organisation: '"/>
								</xsl:call-template>
								<xsl:call-template name="summary_keys_tpl">
									<xsl:with-param name="name" select="/metadata/dataIdInfo/descKeys/keyTyp/KeyTypCd"/>
									<xsl:with-param name="value" select="'001'"/>
									<xsl:with-param name="label" select="'Theme keywords: '"/>
									<xsl:with-param name="display" select="/metadata/dataIdInfo/descKeys/keyword"/>
								</xsl:call-template>
								<xsl:call-template name="summary_tpl">
									<xsl:with-param name="name" select="/metadata/distInfo/distributor/distorCont/rpCntInfo/cntOnlineRes/linkage"/>
									<xsl:with-param name="label" select="'On line resource: '"/>
								</xsl:call-template>
							</td>
						</xsl:if>
					</tr>
				</table>
				<!-- build the toc -->
				<A name="Top"/>
				<H4>Eurosion Metadata:</H4>
				<!-- label -->
				<ul class="toc">
					<!-- Metadata Identification -->
					<LI>
						<A HREF="#Metadata_Information">Metadata Information</A>
						<!-- label -->
					</LI>
					<!-- Root node "metadata" will always exist. Only add to TOC if it contains elements
          that describe the metadata. -->
					<xsl:if test="metadata[dataIdInfo | SpatRep | contInfo | dqInfo | 
								 RefSystem | MdCoRefSys | distInfo | appSchInfo]">
						<xsl:call-template name="toc_tpl">
							<xsl:with-param name="name" select="metadata/dataIdInfo"/>
							<xsl:with-param name="label" select="'Data identification'"/>
							<xsl:with-param name="label_item" select="'Description'"/>
						</xsl:call-template>
						<xsl:call-template name="toc_tpl">
							<xsl:with-param name="name" select="metadata/SpatRep | metadata/VectSpatRep | metadata/GridSpatRep"/>
							<xsl:with-param name="label" select="'Representation of spatial information'"/>
							<xsl:with-param name="label_item" select="'Description'"/>
						</xsl:call-template>
						<xsl:call-template name="toc_tpl">
							<xsl:with-param name="name" select="metadata/contInfo"/>
							<xsl:with-param name="label" select="'Content information'"/>
							<xsl:with-param name="label_item" select="'Description'"/>
						</xsl:call-template>
						<xsl:call-template name="toc_tpl">
							<xsl:with-param name="name" select="metadata/dqInfo"/>
							<xsl:with-param name="label" select="'Data Quality'"/>
							<xsl:with-param name="label_item" select="'Description'"/>
						</xsl:call-template>
						<xsl:call-template name="toc_tpl">
							<xsl:with-param name="name" select="metadata/RefSystem | metadata/MdCoRefSys"/>
							<xsl:with-param name="label" select="'Reference Systeme Information'"/>
							<xsl:with-param name="label_item" select="'Description'"/>
						</xsl:call-template>
						<xsl:call-template name="toc_tpl">
							<xsl:with-param name="name" select="metadata/distInfo"/>
							<xsl:with-param name="label" select="'Distribution information'"/>
							<xsl:with-param name="label_item" select="'Description'"/>
						</xsl:call-template>
						<xsl:call-template name="toc_tpl">
							<xsl:with-param name="name" select="metadata/appSchInfo"/>
							<xsl:with-param name="label" select="'Conceptual schema information'"/>
							<xsl:with-param name="label_item" select="'Description'"/>
						</xsl:call-template>
					</xsl:if>
					<!-- Metadata extension -->
					<xsl:if test="metadata[dcmiExt | giscoExt | 
       							 gelosExt | euroExt]">
						<LI>
							<A HREF="#Metadata_extension">Metadata extension</A>
							<!-- label -->
						</LI>
					</xsl:if>
				</ul>
				<!-- Give legend used in this stylesheet -->
				<BLOCKQUOTE class="note">
					<!-- label -->
      Metadata elements shown with blue text are defined in the
      International Organization for Standardization's (ISO) document 19115
      <I>Geographic Information - Metadata.</I>
      Elements shown with <FONT color="#2E8B00">green</FONT>
      text are defined by the Eurosion project and will be documented as extentions to the
      ISO 19115. Elements shown with a green asterisk (<FONT color="#2E8B00">*</FONT>) 
      will be automatically updated by ArcCatalog.
					</BLOCKQUOTE>
				<!-- PUT METADATA CONTENT ON THE HTML PAGE  -->
				<!-- Metadata Information -->
				<!-- Root node "metadata" will always exist. Only apply template if it contains elements
          that describe the metadata. -->
				<xsl:if test="metadata[mdFileID | mdLang | mdChar2 | mdParentID | mdHrLv2 | 
        							   mdHrLvName | mdContact | mdDateSt | mdStanName2 | mdStanVer2 | 
        							   mdMaint | mdConst]">
					<xsl:apply-templates select="metadata"/>
				</xsl:if>
				<!-- Resource Identification -->
				<xsl:apply-templates select="/metadata/dataIdInfo"/>
				<!-- Spatial Representation Information -->
				<xsl:apply-templates select="/metadata/SpatRep | /metadata/VectSpatRep | /metadata/GridSpatRep"/>
				<!-- Content Information -->
				<xsl:apply-templates select="/metadata/contInfo"/>
				<!-- Data Quality Information -->
				<xsl:apply-templates select="/metadata/dqInfo"/>
				<!-- Reference System Information -->
				<xsl:apply-templates select="/metadata/RefSystem | /metadata/MdCoRefSys"/>
				<!-- Distribution Information -->
				<xsl:apply-templates select="/metadata/distInfo"/>
				<!-- Schema Information -->
				<xsl:apply-templates select="/metadata/appSchInfo"/>
				<xsl:if test="metadata[dcmiExt | giscoExt | 
       							 gelosExt | euroExt]">
					<xsl:call-template name="extension_tpl"/>
				</xsl:if>
			</body>
		</html>
	</xsl:template>
	<!-- Thumbnail -->
	<xsl:template match="/metadata/dataIdInfo/graphOver/bgFileName">
		<img ID="thumbnail" ALIGN="absmiddle" STYLE="width:217; border:'2 outset #FFFFFF'; position:relative">
			<xsl:attribute name="SRC"><xsl:value-of select="."/></xsl:attribute>
		</img>
		<br/>
		<br/>
	</xsl:template>
	<!-- Generic templates -->
	<xsl:template name="summary_tpl">
		<xsl:param name="name"/>
		<xsl:param name="label"/>
		<xsl:if test="$name">
			<dt>
				<b>
					<xsl:value-of select="$label"/>
				</b>
				<xsl:value-of select="$name"/>
			</dt>
			<br/>
			<br/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="summary_keys_tpl">
		<xsl:param name="name"/>
		<xsl:param name="value"/>
		<xsl:param name="label"/>
		<xsl:param name="display"/>
		<xsl:if test="$name[@value = $value]">
			<dt>
				<b>
					<xsl:value-of select="$label"/>
				</b>
				<xsl:for-each select="$name[@value = $value]">
					<xsl:for-each select="$display">
						<xsl:value-of select="."/>
						<xsl:text> </xsl:text>
					</xsl:for-each>
					<xsl:text> </xsl:text>
				</xsl:for-each>
			</dt>
			<br/>
			<br/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="toc_tpl">
		<xsl:param name="name"/>
		<xsl:param name="label"/>
		<xsl:param name="label_item"/>
		<xsl:if test="count($name) = 1">
			<LI>
				<A>
					<xsl:attribute name="HREF">#<xsl:value-of select="generate-id($name)"/></xsl:attribute>
					<xsl:value-of select="$label"/>
				</A>
			</LI>
		</xsl:if>
		<xsl:if test="count($name) &gt; 1">
			<LI>
				<xsl:value-of select="$label"/>
			</LI>
			<xsl:for-each select="$name">
				<LI STYLE="margin-left:0.5in">
					<A>
						<xsl:attribute name="HREF">#<xsl:value-of select="generate-id()"/></xsl:attribute>
						<xsl:value-of select="$label_item"/>
						<xsl:text> : </xsl:text>
						<xsl:number value="position()"/>
					</A>
				</LI>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	<xsl:template name="display_select_tpl">
		<xsl:param name="name"/>
		<xsl:param name="label"/>
		<xsl:for-each select="$name">
			<DT>
				<xsl:if test="$name[@Sync = 'TRUE']">
					<FONT color="#2E8B00">*</FONT>
				</xsl:if>
				<B>
					<xsl:value-of select="$label"/>
				</B>
				<xsl:apply-templates select="$name"/>
			</DT>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="display_value_tpl">
		<xsl:param name="name"/>
		<xsl:param name="label"/>
		<xsl:for-each select="$name">
			<DT>
				<xsl:if test="$name[@Sync = 'TRUE']">
					<FONT color="#2E8B00">*</FONT>
				</xsl:if>
				<B>
					<xsl:value-of select="$label"/>
				</B>
				<xsl:value-of select="$name"/>
			</DT>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="simple_select_tpl">
		<xsl:param name="name"/>
		<xsl:param name="label"/>
		<xsl:for-each select="$name">
			<DT>
				<B>
					<xsl:value-of select="$label"/>
				</B>
				<xsl:apply-templates select="."/>
			</DT>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="simple_value_tpl">
		<xsl:param name="name"/>
		<xsl:param name="label"/>
		<xsl:for-each select="$name">
			<DT>
				<B>
					<xsl:value-of select="$label"/>
				</B>
				<xsl:value-of select="$name"/>
			</DT>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="simple_mult_tpl">
		<xsl:param name="name"/>
		<xsl:param name="label"/>
		<xsl:if test="$name[text()]">
			<DT>
				<B>
					<xsl:value-of select="$label"/>
				</B>
				<xsl:for-each select="$name[text()]">
					<xsl:value-of select="."/>
					<xsl:if test="position() != last()">, </xsl:if>
				</xsl:for-each>
			</DT>
			<BR/>
			<BR/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="simple_fix_tpl">
		<xsl:param name="name"/>
		<xsl:param name="label"/>
		<xsl:for-each select="$name">
			<DT>
				<B>
					<xsl:value-of select="$label"/>
				</B>
			</DT>
			<PRE ID="original">
				<xsl:value-of select="."/>
			</PRE>
			<SCRIPT>fix(original)</SCRIPT>
			<BR/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="simple_boolean_tpl">
		<xsl:param name="name"/>
		<xsl:param name="label"/>
		<xsl:for-each select="$name">
			<DT>
				<B>
					<xsl:value-of select="$label"/>
				</B>
				<xsl:choose>
					<xsl:when test=". = 'true'">Yes</xsl:when>
					<xsl:when test=". = 'false'">No</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="."/>
					</xsl:otherwise>
				</xsl:choose>
			</DT>
		</xsl:for-each>
	</xsl:template>
	<!-- Templates for matching the metadata description -->
	<xsl:template match="metadata">
		<A name="Metadata_Information">
			<HR/>
		</A>
		<DL>
			<DT class="title_1">
				<B>Metadata Information</B>
				<!-- label -->
			</DT>
			<BR/>
			<BR/>
			<DL class="common">
				<DD>
					<xsl:call-template name="display_select_tpl">
						<xsl:with-param name="name" select="mdLang/isoCode"/>
						<xsl:with-param name="label" select="'Metadata language: '"/>
					</xsl:call-template>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="mdChar2"/>
						<xsl:with-param name="label" select="'Metadata character set: '"/>
					</xsl:call-template>
					<xsl:if test="mdLang | mdChar2">
						<BR/>
						<BR/>
					</xsl:if>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="mdDateSt"/>
						<xsl:with-param name="label" select="'Date that the metadata was created: '"/>
					</xsl:call-template>
					<xsl:apply-templates select="mdMaint"/>
					<xsl:if test="(mdDateSt) or (mdMaint)">
						<BR/>
					</xsl:if>
					<xsl:apply-templates select="mdContact"/>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="mdHrLv2"/>
						<xsl:with-param name="label" select="'Scope of the data described by the metadata: '"/>
					</xsl:call-template>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="mdHrLvName"/>
						<xsl:with-param name="label" select="'Scope name: '"/>
					</xsl:call-template>
					<xsl:if test="mdHrLv2 | HrLvName">
						<BR/>
						<BR/>
					</xsl:if>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="mdStanName2"/>
						<xsl:with-param name="label" select="'Name of the metadata standard used: '"/>
					</xsl:call-template>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="mdStanVer2"/>
						<xsl:with-param name="label" select="'Version of the metadata standard: '"/>
					</xsl:call-template>
					<xsl:if test="mdStanName2 | mdStanVer2">
						<BR/>
						<BR/>
					</xsl:if>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="mdFileID"/>
						<xsl:with-param name="label" select="'Metadata identifier: '"/>
					</xsl:call-template>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="mdParentID"/>
						<xsl:with-param name="label" select="'Parent identifier: '"/>
					</xsl:call-template>
					<xsl:if test="mdFileID | mdParentID">
						<BR/>
						<BR/>
					</xsl:if>
				</DD>
			</DL>
		</DL>
		<A HREF="#Top">Back to Top</A>
	</xsl:template>
	<!-- Maintenance Information (B.2.5 MD_MaintenanceInformation - line142) -->
	<xsl:template match="mdMaint | resMaint">
		<DD>
			<xsl:choose>
				<xsl:when test="local-name() = 'resMaint'">
					<DT class="title_2">
						<B>Resource maintenance:</B>
						<!-- label -->
					</DT>
					<!-- label -->
				</xsl:when>
				<xsl:otherwise>
					<DT class="title_2">
						<B>Maintenance:</B>
						<!-- label -->
					</DT>
					<!-- label -->
				</xsl:otherwise>
			</xsl:choose>
			<DD>
				<DL>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="dateNext"/>
						<xsl:with-param name="label" select="'Date of next update: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="maintFreq"/>
						<xsl:with-param name="label" select="'Update frequency: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="maintNote"/>
						<xsl:with-param name="label" select="'Other maintenance requirements: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Responsible Party Information (B.3.2 CI_ResponsibleParty - line374) -->
	<xsl:template match="mdContact | idPoC | usrCntInfo | stepProc | distorCont | 
      						   citRespParty | extEleSrc | gelosRecordSource | etccdsRecordSource">
		<DD>
			<dt class="title_2">
				<xsl:choose>
					<xsl:when test="local-name() = 'mdContact'">
						<B>Metadata contact:</B>
						<!-- label -->
					</xsl:when>
					<xsl:when test="local-name() = 'idPoC'">
						<B>Point of contact:</B>
						<!-- label -->
					</xsl:when>
					<xsl:when test="local-name() = 'usrCntInfo'">
						<B>Party using the resource:</B>
						<!-- label -->
					</xsl:when>
					<xsl:when test="local-name() = 'stepProc'">
						<B>Process contact:</B>
						<!-- label -->
					</xsl:when>
					<xsl:when test="local-name() = 'distorCont'">
						<B>Contact information:</B>
						<!-- label -->
					</xsl:when>
					<xsl:when test="local-name() = 'citRespParty'">
						<B>Party responsible for the resource:</B>
						<!-- label -->
					</xsl:when>
					<xsl:when test="local-name() = 'extEleSrc'">
						<B>Extension source:</B>
						<!-- label -->
					</xsl:when>
					<xsl:when test="local-name() = 'gelosRecordSource'">
						<B>gelos Record Source:</B>
						<!-- label -->
					</xsl:when>
					<xsl:when test="local-name() = 'etccdsRecordSource'">
						<B>etc cds Record Source:</B>
						<!-- label -->
					</xsl:when>
					<xsl:otherwise>
						<B>Contact information:</B>
						<!-- label -->
					</xsl:otherwise>
				</xsl:choose>
			</dt>
			<DD>
				<DL>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="rpIndName"/>
						<xsl:with-param name="label" select="'Individual name: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="rpOrgName"/>
						<xsl:with-param name="label" select="'Organization name: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="rpPosName"/>
						<xsl:with-param name="label" select="'Contact position: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="role"/>
						<xsl:with-param name="label" select="'Contact role: '"/>
					</xsl:call-template>
					<xsl:if test="rpIndName | rpOrgName | rpPosName | role">
						<BR/>
						<BR/>
					</xsl:if>
					<xsl:apply-templates select="rpCntInfo"/>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Contact Information (B.3.2.2 CI_Contact - line387) -->
	<xsl:template match="rpCntInfo">
		<DD>
			<DT class="title_2">
				<B>Contact information:</B>
				<!-- label -->
			</DT>
			<DD>
				<DL>
					<xsl:apply-templates select="cntPhone"/>
					<xsl:apply-templates select="cntAddress"/>
					<xsl:apply-templates select="cntOnlineRes"/>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Telephone Information (B.3.2.6 CI_Telephone - line407) -->
	<xsl:template match="cntPhone">
		<DD>
			<DT class="title_2">
				<B>Phone:</B>
				<!-- label -->
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="voiceNum"/>
						<xsl:with-param name="label" select="'Voice: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="faxNum"/>
						<xsl:with-param name="label" select="'Fax: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
		<BR/>
	</xsl:template>
	<!-- Address Information (B.3.2.1 CI_Address - line380) -->
	<xsl:template match="cntAddress">
		<DD>
			<DT class="title_2">
				<B>Address:</B>
				<!-- label -->
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_fix_tpl">
						<xsl:with-param name="name" select="delPoint"/>
						<xsl:with-param name="label" select="'Delivery point: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="city"/>
						<xsl:with-param name="label" select="'City: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="adminArea"/>
						<xsl:with-param name="label" select="'Administrative area: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="postCode"/>
						<xsl:with-param name="label" select="'Postal code: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="country"/>
						<xsl:with-param name="label" select="'Country: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="eMailAdd"/>
						<xsl:with-param name="label" select="'E-mail address: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
		<BR/>
	</xsl:template>
	<!-- Online Resource Information (B.3.2.4 CI_OnLineResource - line396) -->
	<xsl:template match="cntOnlineRes | onLineSrc | extOnRes">
		<DD>
			<xsl:choose>
				<xsl:when test="local-name() = 'onLineSrc'">
					<DT class="title_2">
						<B>Online source:</B>
						<!-- label -->
					</DT>
				</xsl:when>
				<xsl:when test="local-name() = 'extOnRes'">
					<DT class="title_2">
						<B>Extension online resource:</B>
						<!-- label -->
					</DT>
				</xsl:when>
				<xsl:otherwise>
					<DT class="title_2">
						<B>Online resource:</B>
						<!-- label -->
					</DT>
				</xsl:otherwise>
			</xsl:choose>
			<DD>
				<DL>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="orName"/>
						<xsl:with-param name="label" select="'Name of resource: '"/>
					</xsl:call-template>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="linkage"/>
						<xsl:with-param name="label" select="'Online location (URL): '"/>
					</xsl:call-template>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="protocol"/>
						<xsl:with-param name="label" select="'Connection protocol: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="orFunct"/>
						<xsl:with-param name="label" select="'Function performed: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="orDesc"/>
						<xsl:with-param name="label" select="'Description: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
		<BR/>
	</xsl:template>
	<!-- RESOURCE IDENTIFICATION -->
	<!-- Resource Identification Information (B.2.2 MD_Identification - line23, including MD_DataIdentification - line36) -->
	<xsl:template match="dataIdInfo">
		<A>
			<xsl:attribute name="NAME"><xsl:value-of select="generate-id()"/></xsl:attribute>
			<HR/>
		</A>
		<DL>
			<xsl:if test="count(/metadata/dataIdInfo) = 1">
				<DT class="title_1">
					<B>Resource Identification Information:</B>
				</DT>
			</xsl:if>
			<xsl:if test="count(/metadata/dataIdInfo) &gt; 1">
				<DT class="title_1">
					<B>
        Resource Identification Information - Resource <xsl:number value="position()"/>:
      					</B>
				</DT>
			</xsl:if>
			<BR/>
			<BR/>
			<DL class="common">
				<DD>
					<xsl:apply-templates select="idCitation"/>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="tpCat"/>
						<xsl:with-param name="label" select="'Themes or categories of the resource: '"/>
					</xsl:call-template>
					<br/><br/>
					<xsl:apply-templates select="descKeys"/>
					<xsl:call-template name="simple_fix_tpl">
						<xsl:with-param name="name" select="idAbs"/>
						<xsl:with-param name="label" select="'Abstract: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_fix_tpl">
						<xsl:with-param name="name" select="idPurp"/>
						<xsl:with-param name="label" select="'Purpose: '"/>
					</xsl:call-template>
					<xsl:apply-templates select="graphOver/bgFileName"/>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="graphOver/bgFileDesc"/>
						<xsl:with-param name="label" select="'Description of the illustration: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="graphOver/bgFileType"/>
						<xsl:with-param name="label" select="'Format in which the illustration is encoded: '"/>
					</xsl:call-template>
					<br/><br/>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="dataLang/isoCode"/>
						<xsl:with-param name="label" select="'Dataset language: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="dataChar"/>
						<xsl:with-param name="label" select="'Dataset character set: '"/>
					</xsl:call-template>
					<xsl:if test="dataLang | dataChar">
						<BR/>
						<BR/>
					</xsl:if>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="idStatus"/>
						<xsl:with-param name="label" select="'Status: '"/>
					</xsl:call-template>
					<br/>
					<br/>
					<xsl:apply-templates select="resMaint"/>
					<BR/>
					<br/>
					<xsl:apply-templates select="Consts | LegConsts"/>
					<br/>
					<xsl:apply-templates select="idSpecUse"/>
					<br/>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="spatRpType"/>
						<xsl:with-param name="label" select="'Spatial representation type: '"/>
					</xsl:call-template>
					<br/><br/>
					<xsl:apply-templates select="dsFormat"/>
					<xsl:if test="spatRpType and not (dsFormat)">
						<BR/>
						<BR/>
					</xsl:if>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="envirDesc"/>
						<xsl:with-param name="label" select="'Processing environment: '"/>
					</xsl:call-template>
					<xsl:apply-templates select="dataScale"/>
					<xsl:apply-templates select="geoBox"/>
					<xsl:apply-templates select="geoDesc"/>
					<xsl:apply-templates select="dataExt"/>
					<xsl:call-template name="simple_fix_tpl">
						<xsl:with-param name="name" select="suppInfo"/>
						<xsl:with-param name="label" select="'Supplemental information: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_fix_tpl">
						<xsl:with-param name="name" select="idCredit"/>
						<xsl:with-param name="label" select="'Credits: '"/>
					</xsl:call-template>
					<xsl:apply-templates select="idPoC"/>
				</DD>
			</DL>
		</DL>
		<A HREF="#Top">Back to Top</A>
	</xsl:template>
	<!-- Citation Information (B.3.2 CI_Citation - line359) -->
	<xsl:template match="idCitation | thesaName | identAuth | srcCitatn | evalProc | 
      conSpec | paraCit | portCatCit | catCitation | asName | relation">
		<DD>
			<DT class="title_2">
				<xsl:choose>
					<xsl:when test="local-name() = 'idCitation'">
						<B>Citation:</B>
						<!-- label -->
					</xsl:when>
					<xsl:when test="local-name() = 'thesaName'">
						<B>Thesaurus name:</B>
						<!-- label -->
					</xsl:when>
					<xsl:when test="local-name() = 'identAuth'">
						<B>Reference that defines the value:</B>
						<!-- label -->
					</xsl:when>
					<xsl:when test="local-name() = 'srcCitatn'">
						<B>Source citation:</B>
						<!-- label -->
					</xsl:when>
					<xsl:when test="local-name() = 'evalProc'">
						<B>Description of evaluation procedure:</B>
						<!-- label -->
					</xsl:when>
					<xsl:when test="local-name() = 'conSpec'">
						<B>Description of conformance requirements:</B>
						<!-- label -->
					</xsl:when>
					<xsl:when test="local-name() = 'paraCit'">
						<B>Georeferencing parameters citation:</B>
						<!-- label -->
					</xsl:when>
					<xsl:when test="local-name() = 'catCitation'">
						<B>Feature catalogue citation:</B>
						<!-- label -->
					</xsl:when>
					<xsl:when test="local-name() = 'asName'">
						<B>Application schema name:</B>
						<!-- label -->
					</xsl:when>
					<xsl:when test="local-name() = 'relation'">
						<B>Relation: </B>
						<!-- label -->
					</xsl:when>
					<xsl:otherwise>
						<B>Citation:</B>
						<!-- label -->
					</xsl:otherwise>
				</xsl:choose>
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="resTitle"/>
						<xsl:with-param name="label" select="'Title: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_mult_tpl">
						<xsl:with-param name="name" select="resAltTitle"/>
						<xsl:with-param name="label" select="'Alternate titles: '"/>
					</xsl:call-template>
					<xsl:if test="not(resAltTitle)">
						<BR/>
						<BR/>
					</xsl:if>
					<xsl:apply-templates select="resRefDate"/>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="resEd"/>
						<xsl:with-param name="label" select="'Edition: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="resEdDate"/>
						<xsl:with-param name="label" select="'Edition date: '"/>
					</xsl:call-template>
					<xsl:call-template name="display_select_tpl">
						<xsl:with-param name="name" select="presForm"/>
						<xsl:with-param name="label" select="'Presentation format: '"/>
					</xsl:call-template>
					<xsl:if test="resEd | resEdDate | presForm">
						<BR/>
						<BR/>
					</xsl:if>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="isbn"/>
						<xsl:with-param name="label" select="'ISBN: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="issn"/>
						<xsl:with-param name="label" select="'ISSN: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="citId"/>
						<xsl:with-param name="label" select="'Unique resource identifier: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="citIdType"/>
						<xsl:with-param name="label" select="'Reference of identifier: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="identifierType"/>
						<xsl:with-param name="label" select="'Type of identifier: '"/>
					</xsl:call-template>
					<xsl:if test="isbn | issn | citId | citIdType | identifierType">
						<BR/>
						<BR/>
					</xsl:if>
					<xsl:apply-templates select="citRespParty"/>
					<BR/>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Date Information (B.3.2.3 CI_Date) -->
	<xsl:template match="resRefDate">
		<DD>
			<DT class="title_2">
				<B>Reference date:</B>
				<!-- label -->
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="refDate"/>
						<xsl:with-param name="label" select="'Date: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="refDateType"/>
						<xsl:with-param name="label" select="'Type of date: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
		<BR/>
	</xsl:template>
	<!-- Keyword Information (B.2.2.2 MD_Keywords - line52)-->
	<xsl:template match="descKeys | place | habitatType | issue">
		<DD>
			<xsl:choose>
				<xsl:when test="keyTyp/KeyTypCd[@value = '001']">
					<DT class="title_2">
						<B>Discipline keywords:</B>
						<!--label -->
					</DT>
					<!-- label -->
				</xsl:when>
				<xsl:when test="keyTyp/KeyTypCd[@value = '002']">
					<DT class="title_2">
						<B>Place keywords:</B>
					</DT>
					<!-- label -->
				</xsl:when>
				<xsl:when test="keyTyp/KeyTypCd[@value = '003']">
					<DT class="title_2">
						<B>Temporal keywords:</B>
					</DT>
					<!-- label -->
				</xsl:when>
				<xsl:when test="keyTyp/KeyTypCd[@value = '004']">
					<DT class="title_2">
						<B>Stratum keywords:</B>
					</DT>
					<!-- label -->
				</xsl:when>
				<xsl:when test="keyTyp/KeyTypCd[@value = '005']">
					<DT class="title_2">
						<B>Theme keywords:</B>
					</DT>
					<!-- label -->
				</xsl:when>
				<xsl:otherwise>
					<DT class="title_2">
						<B>Descriptive keywords:</B>
					</DT>
					<!-- label -->
				</xsl:otherwise>
			</xsl:choose>
			<DD>
				<DL>
					<xsl:if test="(keyTyp/KeyTypCd[@value] != '001') and (keyTyp/KeyTypCd[@value] != '002') and (keyTyp/KeyTypCd[@value] != '003') and (keyTyp/KeyTypCd[@value] != '004') and (keyTyp/KeyTypCd[@value] != '004')">
						<DT>
							<B>Type of keywords: </B>
							<xsl:apply-templates select="keyTyp"/>
						</DT>
						<BR/>
						<BR/>
					</xsl:if>
					<xsl:call-template name="simple_mult_tpl">
						<xsl:with-param name="name" select="keyword"/>
						<xsl:with-param name="label" select="'Keywords: '"/>
					</xsl:call-template>
					<font class="specific">
						<xsl:call-template name="simple_mult_tpl">
							<xsl:with-param name="name" select="keyID"/>
							<xsl:with-param name="label" select="'Keyword identifiers: '"/>
						</xsl:call-template>
						<xsl:call-template name="simple_mult_tpl">
							<xsl:with-param name="name" select="keyDesc"/>
							<xsl:with-param name="label" select="'Keyword descriptions: '"/>
						</xsl:call-template>
						<xsl:call-template name="simple_value_tpl">
							<xsl:with-param name="name" select="thesaId"/>
							<xsl:with-param name="label" select="'Identifier of thesaurus: '"/>
						</xsl:call-template>
						<xsl:call-template name="simple_value_tpl">
							<xsl:with-param name="name" select="thesaLan"/>
							<xsl:with-param name="label" select="'Language of thesaurus: '"/>
						</xsl:call-template>
						<xsl:call-template name="simple_value_tpl">
							<xsl:with-param name="name" select="lanId"/>
							<xsl:with-param name="label" select="'Identifier of language: '"/>
						</xsl:call-template>
						<xsl:call-template name="simple_value_tpl">
							<xsl:with-param name="name" select="thesaDesc"/>
							<xsl:with-param name="label" select="'Description of thesaurus: '"/>
						</xsl:call-template>
					</font>
					<xsl:if test="thesaName">
						<br/>
						<br/>
					</xsl:if>
					<xsl:apply-templates select="thesaName"/>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Usage Information (B.2.2.5 MD_Usage - line62) -->
	<xsl:template match="idSpecUse">
		<DD>
			<DT class="title_2">
				<B>How the resource is used:</B>
			</DT>
			<!-- label -->
			<DD>
				<DL>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="specUsage"/>
						<xsl:with-param name="label" select="'Description: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="usrDetLim"/>
						<xsl:with-param name="label" select="'How the resource must not be used: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Constraints Information (B.2.3 MD_Constraints - line67) -->
	<xsl:template match="Consts | LegConsts">
		<DD>
			<DT class="title_2">
				<B>Restrictions on the access and use:</B>
			</DT>
			<!-- label -->
			<DD>
				<DL>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="useLimit"/>
						<xsl:with-param name="label" select="'Limitation affecting the fitness for use: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="accessConsts"/>
						<xsl:with-param name="label" select="'Access constraints: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="useConsts"/>
						<xsl:with-param name="label" select="'Use constraints: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Format Information (B.2.10.3 MD_Format - line284) -->
	<xsl:template match="dsFormat | distorFormat | distFormat">
		<DD>
			<DT class="title_2">
				<xsl:choose>
					<xsl:when test="local-name() = 'dsFormat'">
						<B>Resource format:</B>
						<!-- label -->
					</xsl:when>
					<xsl:when test="local-name() = 'distorFormat'">
						<B>Available format:</B>
						<!-- label -->
					</xsl:when>
					<xsl:when test="local-name() = 'distFormat'">
						<B>Distribution format:</B>
						<!-- label -->
					</xsl:when>
					<xsl:otherwise>
						<B>Format:</B>
						<!-- label -->
					</xsl:otherwise>
				</xsl:choose>
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="formatName"/>
						<xsl:with-param name="label" select="'Format name: '"/>
					</xsl:call-template>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="formatVer"/>
						<xsl:with-param name="label" select="'Format version: '"/>
					</xsl:call-template>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="fileDecmTech"/>
						<xsl:with-param name="label" select="'File decompression technique: '"/>
					</xsl:call-template>
					<xsl:if test="formatName | formatVer | fileDecmTech">
						<BR/>
						<BR/>
					</xsl:if>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Resolution Information (B.2.2.4 MD_Resolution - line59) -->
	<xsl:template match="dataScale | srcScale">
		<DD>
			<xsl:choose>
				<xsl:when test="local-name() = 'dataScale'">
					<DT class="title_2">
						<B>Spatial resolution:</B>
						<!-- label -->
					</DT>
					<!-- label -->
				</xsl:when>
				<xsl:when test="local-name() = 'srcScale'">
					<DT class="title_2">
						<B>Resolution of the source data:</B>
						<!-- label -->
					</DT>
					<!-- label -->
				</xsl:when>
				<xsl:otherwise>
					<DT class="title_2">
						<B>Resolution:</B>
						<!-- label -->
					</DT>
					<!-- label -->
				</xsl:otherwise>
			</xsl:choose>
			<DD>
				<DL>
					<xsl:apply-templates select="equScale"/>
					<xsl:for-each select="scaleDist">
						<DT class="title_2">
							<B>Ground sample distance:</B>
						</DT>
						<!-- label -->
						<DD>
							<DL>
								<!-- value will be shown regardless of the subelement Integer, Real, or Decimal -->
								<xsl:call-template name="simple_value_tpl">
									<xsl:with-param name="name" select="value"/>
									<xsl:with-param name="label" select="'Precision of spatial data: '"/>
								</xsl:call-template>
								<xsl:apply-templates select="uom/UomScale"/>
								<xsl:if test="value and not (uom)">
									<BR/>
									<BR/>
								</xsl:if>
							</DL>
						</DD>
					</xsl:for-each>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Representative Fraction Information (B.2.2.3 MD_RepresentativeFraction - line56) -->
	<xsl:template match="equScale">
		<DT class="title_2">
			<B>Dataset's scale:</B>
		</DT>
		<DD>
			<DL>
				<xsl:call-template name="simple_value_tpl">
					<xsl:with-param name="name" select="rfDenom"/>
					<xsl:with-param name="label" select="'Scale denominator: '"/>
				</xsl:call-template>
				<xsl:call-template name="simple_value_tpl">
					<xsl:with-param name="name" select="scale"/>
					<xsl:with-param name="label" select="'Fraction is derived from scale: '"/>
				</xsl:call-template>
			</DL>
		</DD>
		<BR/>
	</xsl:template>
	<!-- Units of Measurement Types (from ISO 19103 information in 19115 DTD) -->
	<xsl:template match="uom | _UnitOfMeasure | UomLength | UomScale | UomTime | UomArea | UomVolume | UomAngle | UomVelocity">
		<DT class="title_2">
			<B>Units of measure: </B>
		</DT>
		<DD>
			<DL>
				<xsl:call-template name="simple_value_tpl">
					<xsl:with-param name="name" select="uomName"/>
					<xsl:with-param name="label" select="'Units name: '"/>
				</xsl:call-template>
				<xsl:call-template name="simple_value_tpl">
					<xsl:with-param name="name" select="uomSymbol"/>
					<xsl:with-param name="label" select="'Units symbol: '"/>
				</xsl:call-template>
			</DL>
		</DD>
		<BR/>
	</xsl:template>
	<!-- Bounding Box Information (B.3.1.1 EX_GeographicBoundingBox - line343) -->
	<xsl:template match="geoBox | GeoExtent[@xsi:type = 'GeoBndBoxType'] | GeoBndBox">
		<DD>
			<xsl:choose>
				<xsl:when test="local-name() = 'geoBox'">
					<DT class="title_2">
						<B>Resource's bounding rectangle:</B>
						<!-- label -->
					</DT>
				</xsl:when>
				<xsl:otherwise>
					<DT class="title_2">
						<B>Bounding rectangle:</B>
						<!-- label -->
					</DT>
				</xsl:otherwise>
			</xsl:choose>
			<DD>
				<DL>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="westBL"/>
						<xsl:with-param name="label" select="'West longitude: '"/>
					</xsl:call-template>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="eastBL"/>
						<xsl:with-param name="label" select="'East longitude: '"/>
					</xsl:call-template>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="northBL"/>
						<xsl:with-param name="label" select="'North latitude: '"/>
					</xsl:call-template>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="southBL"/>
						<xsl:with-param name="label" select="'South latitude: '"/>
					</xsl:call-template>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="altiBoundLongitude"/>
						<xsl:with-param name="label" select="'Altitude longitude: '"/>
					</xsl:call-template>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="altiBoundLatitude"/>
						<xsl:with-param name="label" select="'Altitude latitude: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
		<BR/>
	</xsl:template>
	<!-- Geographic Description Information (B.3.1.1 EX_GeographicDescription - line348) -->
	<xsl:template match="geoDesc | GeoExtent[@xsi:type = 'GeoDesc']">
		<DD>
			<xsl:choose>
				<xsl:when test="local-name() = 'geoDesc'">
					<DT class="title_2">
						<B>Description of the resource's location:</B>
						<!-- label -->
					</DT>
				</xsl:when>
				<xsl:otherwise>
					<DT class="title_2">
						<B>Geographic description:</B>
						<!-- label -->
					</DT>
				</xsl:otherwise>
			</xsl:choose>
			<DD>
				<DL>
					<xsl:call-template name="simple_boolean_tpl">
						<xsl:with-param name="name" select="exTypeCode"/>
						<xsl:with-param name="label" select="'Extent contains the resource: '"/>
					</xsl:call-template>
					<xsl:apply-templates select="geoId"/>
					<xsl:if test="(exTypeCode) and not (geoId)">
						<BR/>
						<BR/>
					</xsl:if>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Identifier Information (B.2.7.2 MD_Identifier - line205) -->
	<xsl:template match="geoId | refSysId | projection | ellipsoid | datum | refSysName | 
      MdIdent | RS_Identifier | datumID">
		<DD>
			<xsl:choose>
				<xsl:when test="local-name() = 'geoId'">
					<DT class="title_2">
						<B>Geographic identifier:</B>
					</DT>
					<!-- label -->
				</xsl:when>
				<!-- can't use this method to add headings for refSysID, projection, ellipsoid, and datum
          because all exist together inside MdCoRefSys - also affects RefSystem -->
				<xsl:when test="local-name() = 'refSysName'">
					<DT class="title_2">
						<B>Reference system name identifier:</B>
					</DT>
					<!-- label -->
				</xsl:when>
				<xsl:when test="local-name() = 'datumID'">
					<DT class="title_2">
						<B>Vertical datum:</B>
					</DT>
					<!-- label -->
				</xsl:when>
				<!-- don't include an xsl:otherwise so the identCode value will appear correctly indented under the heading -->
			</xsl:choose>
			<DD class="common">
				<DL>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="identCode"/>
						<xsl:with-param name="label" select="'Value: '"/>
					</xsl:call-template>
					<br/>
					<xsl:apply-templates select="identAuth"/>
					<xsl:if test="(identCode) and not (identAuth)">
						<BR/>
						<BR/>
					</xsl:if>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Extent Information (B.3.1 EX_Extent - line334) -->
	<xsl:template match="dataExt | scpExt | srcExt">
		<DD>
			<DT class="title_2">
				<xsl:choose>
					<xsl:when test="local-name() = 'dataExt'">
						<B>Other extent information:</B>
						<!-- label -->
					</xsl:when>
					<xsl:when test="local-name() = 'scpExt'">
						<B>Scope extent:</B>
						<!-- label -->
					</xsl:when>
					<xsl:when test="local-name() = 'srcExt'">
						<B>Extent of the source data:</B>
						<!-- label -->
					</xsl:when>
					<xsl:otherwise>
						<B>Extent:</B>
						<!-- label -->
					</xsl:otherwise>
				</xsl:choose>
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_fix_tpl">
						<xsl:with-param name="name" select="exDescr"/>
						<xsl:with-param name="label" select="'Extent description: '"/>
					</xsl:call-template>
					<xsl:if test="GeoExtent">
						<DT class="title_2">
							<B>Geographic extent:</B>
							<!-- label -->
						</DT>
						<DD>
							<DD>
								<DL>
									<xsl:apply-templates select="GeoExtent[@xsi:type = 'BoundPolyType']"/>
									<xsl:apply-templates select="GeoExtent[@xsi:type = 'GeoBndBoxType'] | GeoBndBox"/>
									<xsl:apply-templates select="GeoExtent[@xsi:type = 'GeoDescType']"/>
								</DL>
							</DD>
						</DD>
						<BR/>
					</xsl:if>
					<xsl:apply-templates select="tempEle/TempExtent/exTemp"/>
					<xsl:apply-templates select="vertEle"/>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Bounding Polygon Information (B.3.1.1 EX_BoundingPolygon - line341) -->
	<xsl:template match="GeoExtent[@xsi:type = 'BoundPolyType']">
		<DD>
			<DT class="title_2">
				<B>Bounding polygon:</B>
				<!-- label -->
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_boolean_tpl">
						<xsl:with-param name="name" select="exTypeCode"/>
						<xsl:with-param name="label" select="'Extent contains the resource: '"/>
					</xsl:call-template>
					<xsl:apply-templates select="polygon/polygon"/>
					<xsl:apply-templates select="box"/>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<xsl:template match="polygon">
		<DD>
			<DT class="title_2">
				<B>polygon:</B>
				<!-- label -->
				<!-- label -->
			</DT>
			<DD>
				<DL>
					<xsl:apply-templates select="outerBoundaryIs"/>
					<xsl:apply-templates select="innerBoundaryIs"/>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<xsl:template match="outerBoundaryIs | innerBoundaryIs">
		<DD>
			<xsl:choose>
				<xsl:when test="local-name() = 'outerBoundaryIs'">
					<DT class="title_2">
						<B>Outer boundaries:</B>
						<!-- label -->
					</DT>
				</xsl:when>
				<xsl:otherwise>
					<DT class="title_2">
						<B>Inner boundaries:</B>
						<!-- label -->
					</DT>
				</xsl:otherwise>
			</xsl:choose>
			<DD>
				<DL>
					<xsl:apply-templates select="LinearRing/coord"/>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="LinearRing/coordinates"/>
						<xsl:with-param name="label" select="'Coordinates values: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<xsl:template match="coord">
		<DD>
			<DT class="title_2">
				<B>Coordinates:</B>
				<!-- label -->
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="X"/>
						<xsl:with-param name="label" select="'x: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="Y"/>
						<xsl:with-param name="label" select="'y: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="Z"/>
						<xsl:with-param name="label" select="'z: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Temporal Extent Information (B.3.1.2 EX_TemporalExtent - line350) -->
	<!--xsl:template match="exTemp">
		<DD>
			<DT class="title_2">
				<B>Temporal extent:</B>
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="beginEnd/begin"/>
						<xsl:with-param name="label" select="'Beginning date: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="beginEnd/end"/>
						<xsl:with-param name="label" select="'Ending date: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
	</xsl:template-->
	<xsl:template match="exTemp">
		<DD>
			<DT class="title_2">
				<B>Temporal extent:</B>
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="TM_GeometricPrimitive/TM_Period/begin"/>
						<xsl:with-param name="label" select="'Beginning date: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="TM_GeometricPrimitive/TM_Period/end"/>
						<xsl:with-param name="label" select="'Ending date: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="TM_GeometricPrimitive/TM_Instant/tmPosition/TM_DateAndTime/calDate"/>
						<xsl:with-param name="label" select="'Date: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="TM_GeometricPrimitive/TM_Instant/tmPosition/TM_DateAndTime/clkTime"/>
						<xsl:with-param name="label" select="'Time: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	
	<xsl:template match="vertEle">
		<DD>
			<DT class="title_2">
				<B>Vertical extent:</B>
				<!-- label -->
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="vertMinVal"/>
						<xsl:with-param name="label" select="'Minimum value: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="vertMaxVal"/>
						<xsl:with-param name="label" select="'Maximum value: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="vertUoM/uomName"/>
						<xsl:with-param name="label" select="'Unit of measure: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Spatial Representation Information (B.2.6  MD_SpatialRepresentation - line156) -->
	<xsl:template match="metadata/SpatRep | metadata/GridSpatRep | metadata/VectSpatRep | metadata/Georect">
		<A>
			<xsl:attribute name="NAME"><xsl:value-of select="generate-id()"/></xsl:attribute>
			<HR/>
		</A>
		<DL>
			<xsl:choose>
				<xsl:when test="name() = 'GridSpatRep' or @xsi:type = 'GridSpatRepType'">
					<DT class="title_1">
						<B>Spatial Representation - Grid:</B>
					</DT>
				</xsl:when>
				<xsl:when test="name() = 'Georect' or @xsi:type = 'GeorectType'">
					<DT class="title_1">
						<B>Spatial Representation - Georectified Grid:</B>
					</DT>
				</xsl:when>
				<xsl:when test="name() = 'VectSpatRep' or @xsi:type = 'VectSpatRepType'">
					<DT class="title_1">
						<B>Spatial Representation - Vector:</B>
					</DT>
				</xsl:when>
				<xsl:otherwise>
					<DT class="title_1">
						<B>Spatial Representation:</B>
					</DT>
				</xsl:otherwise>
			</xsl:choose>
			<BR/>
			<BR/>
			<DL class="common">
				<DD>
					<xsl:call-template name="grid_tpl"/>
					<xsl:call-template name="vector_tpl"/>
				</DD>
			</DL>
		</DL>
		<A HREF="#Top">Back to Top</A>
	</xsl:template>
	<!-- Grid Information (B.2.6  MD_GridSpatialRepresentation - line157, 
		MD_Georectified - line162, and MD_Georeferenceable - line170) -->
	<xsl:template name="grid_tpl">
		<!--match="*[@xsi:type = 'GridSpatRepType'] | Georect | Georef"-->
		<xsl:call-template name="simple_value_tpl">
			<xsl:with-param name="name" select="numDims"/>
			<xsl:with-param name="label" select="'Number of dimensions: '"/>
		</xsl:call-template>
		<xsl:apply-templates select="axDimProps"/>
		<xsl:if test="(numDims) and not (axDimProps)">
			<BR/>
			<BR/>
		</xsl:if>
		<xsl:call-template name="simple_value_tpl">
			<xsl:with-param name="name" select="cellGeo"/>
			<xsl:with-param name="label" select="'Cell geometry: '"/>
		</xsl:call-template>
		<xsl:if test="cellGeo">
			<BR/>
			<BR/>
		</xsl:if>
		<xsl:call-template name="simple_boolean_tpl">
			<xsl:with-param name="name" select="tranParaAv"/>
			<xsl:with-param name="label" select="'Transformation parameters are available: '"/>
		</xsl:call-template>
		<xsl:for-each select="cornerPts">
			<DT class="title_2">
				<B>Corner points:</B>
				<!-- label -->
			</DT>
			<DD>
				<DL>
					<xsl:apply-templates select="point2/coord"/>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="point1/coordinates"/>
						<xsl:with-param name="label" select="'Coordinates values: '"/>
					</xsl:call-template>
					<xsl:apply-templates select="point2/coord"/>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="point2/coordinates"/>
						<xsl:with-param name="label" select="'Coordinates values: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</xsl:for-each>
		<xsl:call-template name="simple_select_tpl">
			<xsl:with-param name="name" select="pointInPixel"/>
			<xsl:with-param name="label" select="'Point in a pixel: '"/>
		</xsl:call-template>
		<xsl:for-each select="centerPt">
			<DT class="title_2">
				<B>Center point:</B>
				<!-- label -->
			</DT>
			<DD>
				<DL>
					<xsl:apply-templates select="coord"/>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="coordinates"/>
						<xsl:with-param name="label" select="'Coordinates values: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</xsl:for-each>
		<xsl:if test="cornerPts | pointInPixel | centerPt">
			<br/>
		</xsl:if>
		<xsl:call-template name="simple_value_tpl">
			<xsl:with-param name="name" select="transDimDesc"/>
			<xsl:with-param name="label" select="'Description of the transformation dimension: '"/>
		</xsl:call-template>
		<xsl:call-template name="simple_select_tpl">
			<xsl:with-param name="name" select="transDimMap"/>
			<xsl:with-param name="label" select="'Description of the transformation mapping: '"/>
		</xsl:call-template>
	</xsl:template>
	<!-- Dimension Information (B.2.6.1 MD_Dimension - line179) -->
	<xsl:template match="axDimProps">
		<DD>
			<DT class="title_2">
				<B>Axis dimensions properties:</B>
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="dimName"/>
						<xsl:with-param name="label" select="'Dimension name: '"/>
					</xsl:call-template>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="dimSize"/>
						<xsl:with-param name="label" select="'Dimension size: '"/>
					</xsl:call-template>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="dimResol"/>
						<xsl:with-param name="label" select="'Dimension resolution: '"/>
					</xsl:call-template>
					<xsl:apply-templates select="_Measure | Angle | Area | Scale | Time | Velocity | Volume | Length"/>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<xsl:template match="_Measure | Angle | Area | Scale | Time | Velocity | Volume | Length">
		<DT class="title_2">
			<xsl:choose>
				<xsl:when test="name() = 'Angle'">
					<B>Angle measure: </B>
				</xsl:when>
				<xsl:when test="name() = 'Area'">
					<B>Area measure: </B>
				</xsl:when>
				<xsl:when test="name() = 'Scale'">
					<B>Scale measure: </B>
				</xsl:when>
				<xsl:when test="name() = 'Time'">
					<B>Time measure: </B>
				</xsl:when>
				<xsl:when test="name() = 'Velocity'">
					<B>Velocity measure: </B>
				</xsl:when>
				<xsl:when test="name() = 'Volume'">
					<B>Volume measure: </B>
				</xsl:when>
				<xsl:when test="name() = 'Length'">
					<B>Length measure: </B>
				</xsl:when>
				<xsl:otherwise>
					<B>Measure: </B>
				</xsl:otherwise>
			</xsl:choose>
		</DT>
		<!-- label -->
		<DD>
			<DL>
				<!-- value will be shown regardless of the subelement Integer, Real, or Decimal -->
				<xsl:call-template name="simple_value_tpl">
					<xsl:with-param name="name" select="value"/>
					<xsl:with-param name="label" select="'Value: '"/>
				</xsl:call-template>
				<xsl:call-template name="simple_value_tpl">
					<xsl:with-param name="name" select="accuracy"/>
					<xsl:with-param name="label" select="'Accuracy: '"/>
				</xsl:call-template>
				<xsl:apply-templates select="uom/UomScale"/>
				<xsl:if test="(value or accuracy) and not (uom)">
					<BR/>
					<BR/>
				</xsl:if>
			</DL>
		</DD>
	</xsl:template>
	<!-- Vector Information (B.2.6  MD_VectorSpatialRepresentation - line176) -->
	<xsl:template name="vector_tpl">
		<xsl:call-template name="display_select_tpl">
			<xsl:with-param name="name" select="topLvl"/>
			<xsl:with-param name="label" select="'Level of topology for this dataset: '"/>
		</xsl:call-template>
		<xsl:apply-templates select="geometObjs"/>
		<xsl:if test="topLvl and not (geometObjs)">
			<BR/>
			<BR/>
		</xsl:if>
	</xsl:template>
	<!-- Geometric Object Information (B.2.6.2 MD_GeometricObjects - line183) -->
	<xsl:template match="geometObjs">
		<DD>
			<DT class="title_2">
				<B>Geometric objects:</B>
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="display_select_tpl">
						<xsl:with-param name="name" select="geoObjTyp"/>
						<xsl:with-param name="label" select="'Object type: '"/>
					</xsl:call-template>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="geoObjCnt"/>
						<xsl:with-param name="label" select="'Object count: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
		<BR/>
	</xsl:template>
	<!-- Content Information (B.2.8 MD_ContentInformation - line232) -->
	<xsl:template match="contInfo">
		<A>
			<xsl:attribute name="NAME"><xsl:value-of select="generate-id()"/></xsl:attribute>
			<HR/>
		</A>
		<DL>
			<DT class="title_1">
				<B>Content Information - Coverage Description:</B>
				<!-- label -->
			</DT>
			<BR/>
			<BR/>
			<DL class="common">
				<DD>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="contentTyp"/>
						<xsl:with-param name="label" select="'Type of information: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="attDesc"/>
						<xsl:with-param name="label" select="'Attribute described by cell values: '"/>
					</xsl:call-template>
					<xsl:if test="attDesc | contentTyp">
						<BR/>
						<BR/>
					</xsl:if>
					<xsl:apply-templates select="covDim"/>
				</DD>
			</DL>
		</DL>
		<A HREF="#Top">Back to Top</A>
	</xsl:template>
	<!-- Range dimension Information (B.2.8.1 MD_RangeDimension - line256) -->
	<xsl:template match="covDim">
		<DD>
			<DT class="title_2">
				<B>Cell value information:</B>
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="dimDescrp"/>
						<xsl:with-param name="label" select="'Minimum and maximum values: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="seqID"/>
						<xsl:with-param name="label" select="'Band identifier: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<xsl:template match="seqID">
		<DD>
			<DL>
				<xsl:call-template name="simple_value_tpl">
					<xsl:with-param name="name" select="scope"/>
					<xsl:with-param name="label" select="'Scope: '"/>
				</xsl:call-template>
				<xsl:call-template name="simple_value_tpl">
					<xsl:with-param name="name" select="aName"/>
					<xsl:with-param name="label" select="'Name: '"/>
				</xsl:call-template>
				<xsl:for-each select="attributeType">
					<DT class="title_2">
						<B>Attribute type:</B>
						<!-- label -->
					</DT>
					<DD>
						<DL>
							<xsl:call-template name="simple_value_tpl">
								<xsl:with-param name="name" select="scope"/>
								<xsl:with-param name="label" select="'Scope: '"/>
							</xsl:call-template>
							<xsl:call-template name="simple_value_tpl">
								<xsl:with-param name="name" select="aName"/>
								<xsl:with-param name="label" select="'Name: '"/>
							</xsl:call-template>
						</DL>
					</DD>
				</xsl:for-each>
			</DL>
		</DD>
		<BR/>
	</xsl:template>
	<!-- Data Quality Information  (B.2.4 DQ_DataQuality - line78) -->
	<xsl:template match="metadata/dqInfo">
		<A>
			<xsl:attribute name="NAME"><xsl:value-of select="generate-id()"/></xsl:attribute>
			<HR/>
		</A>
		<DL>
			<xsl:if test="count(/metadata/dqInfo) = 1">
				<DT class="title_1">
					<B>Data Quality Information:</B>
				</DT>
			</xsl:if>
			<xsl:if test="count(/metadata/dqInfo) &gt; 1">
				<DT class="title_1">
					<B>
       Data Quality - Description <xsl:number value="position()"/>:
      </B>
				</DT>
			</xsl:if>
			<BR/>
			<BR/>
			<DL class="common">
				<DD>
					<xsl:apply-templates select="dqScope"/>
					<xsl:apply-templates select="dataLineage"/>
					<xsl:apply-templates select="DQElement | DQCompOm | DQCompleteComm | DQConcConsis | DQDomConsis | DQFormConsis | DQTopConsis | DQAbsExtPosAcc | DQGridDataPosAcc | DQRelIntPosAcc | DQAccTimeMeas | DQTempConsis | DQTempValid | DQThemClassCor | DQNonQuanAttAcc | DQQuanAttAcc"/>
				</DD>
			</DL>
		</DL>
		<A HREF="#Top">Back to Top</A>
	</xsl:template>
	<!-- Scope Information (B.2.4.4 DQ_Scope - line138) -->
	<xsl:template match="dqScope">
		<DD>
			<DT class="title_2">
				<B>Scope of quality information:</B>
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="scpLvl"/>
						<xsl:with-param name="label" select="'Level of the data: '"/>
					</xsl:call-template>
					<xsl:apply-templates select="scpLvlDesc"/>
					<xsl:if test="scpLvl and not (scpLvlDesc)">
						<BR/>
						<BR/>
					</xsl:if>
					<xsl:apply-templates select="scpExt"/>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Scope Description Information (B.2.5.1 MD_ScopeDescription - line149) -->
	<xsl:template match="scpLvlDesc | upScpDesc">
		<DD>
			<xsl:if test="position() = 1">
				<DT class="title_2">
					<B>Scope description:</B>
				</DT>
			</xsl:if>
			<!--treat attributes-->
			<xsl:call-template name="simple_value_tpl">
				<xsl:with-param name="name" select="datasetSet"/>
				<xsl:with-param name="label" select="'Dataset to which the information applies: '"/>
			</xsl:call-template>
			<xsl:call-template name="simple_value_tpl">
				<xsl:with-param name="name" select="other"/>
				<xsl:with-param name="label" select="'Class of information that does not fall into the other categories: '"/>
			</xsl:call-template>
			<xsl:call-template name="simple_select_tpl">
				<xsl:with-param name="name" select="attribSet"/>
				<xsl:with-param name="label" select="'Attributes: '"/>
			</xsl:call-template>
			<xsl:call-template name="simple_select_tpl">
				<xsl:with-param name="name" select="featSet"/>
				<xsl:with-param name="label" select="'Features: '"/>
			</xsl:call-template>
			<xsl:call-template name="simple_select_tpl">
				<xsl:with-param name="name" select="featIntSet"/>
				<xsl:with-param name="label" select="'Features instances: '"/>
			</xsl:call-template>
			<xsl:call-template name="simple_select_tpl">
				<xsl:with-param name="name" select="attribIntSet"/>
				<xsl:with-param name="label" select="'Attributes instances: '"/>
			</xsl:call-template>
			<xsl:if test="position() = last()">
				<BR/>
				<BR/>
			</xsl:if>
		</DD>
	</xsl:template>
	<xsl:template match="attribSet | attribIntSet">
		<DD>
			<DT class="title_2">
				<B>Attribute:</B>
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="memberName"/>
						<xsl:with-param name="label" select="'Member name: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="definition"/>
						<xsl:with-param name="label" select="'definition: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="constrainedBy"/>
						<xsl:with-param name="label" select="'constrained by: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="valueType"/>
						<xsl:with-param name="label" select="'value type: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="valueDomain"/>
						<xsl:with-param name="label" select="'value domain: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="cardinality"/>
						<xsl:with-param name="label" select="'cardinality: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="characterizedBy"/>
						<xsl:with-param name="label" select="'characterized by: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="characterizes"/>
						<xsl:with-param name="label" select="'characterizes: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<xsl:template match="featSet | featIntSet">
		<DD>
			<DT class="title_2">
				<B>Feature:</B>
			</DT>
			<DD>
				<DL>
					<xsl:apply-templates/>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Lineage Information (B.2.4.1 LI_Lineage - line82) -->
	<xsl:template match="dataLineage">
		<DD>
			<DT class="title_2">
				<B>Lineage:</B>
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_fix_tpl">
						<xsl:with-param name="name" select="statement"/>
						<xsl:with-param name="label" select="'Lineage statement: '"/>
					</xsl:call-template>
					<xsl:apply-templates select="prcStep"/>
					<xsl:apply-templates select="dataSource"/>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Process Step Information (B.2.4.1.1 LI_ProcessStep - line86) -->
	<xsl:template match="prcStep | srcStep">
		<DD>
			<DT class="title_2">
				<B>Process step:</B>
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="description"/>
						<xsl:with-param name="label" select="'Description of the event in the creation process: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Source Information (B.2.4.1.2 LI_Source - line92) -->
	<xsl:template match="dataSource | stepSrc">
		<DD>
			<DT class="title_2">
				<B>Source data:</B>
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_fix_tpl">
						<xsl:with-param name="name" select="srcDesc"/>
						<xsl:with-param name="label" select="'Level of the source data: '"/>
					</xsl:call-template>
					<xsl:apply-templates select="srcCitatn"/>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<xsl:template match="DQElement | DQCompOm | DQCompleteComm | DQConcConsis | DQDomConsis | DQFormConsis | DQTopConsis | DQAbsExtPosAcc | DQGridDataPosAcc | DQRelIntPosAcc | DQAccTimeMeas | DQTempConsis | DQTempValid | DQThemClassCor | DQNonQuanAttAcc | DQQuanAttAcc">
		<DD>
			<DT class="title_2">
				<xsl:choose>
					<xsl:when test="@xsi:type = 'DQCompleteCommType' or local-name() = 'DQCompleteComm'">
						<B>Data quality report - Completeness commission:</B>
					</xsl:when>
					<xsl:when test="@xsi:type = 'DQCompOmType' or local-name() = 'DQCompOm'">
						<B>Data quality report - Completeness omission:</B>
					</xsl:when>
					<xsl:when test="@xsi:type = 'DQConcConsisType' or local-name() = 'DQConcConsis'">
						<B>Data quality report - Conceptual consistency:</B>
					</xsl:when>
					<xsl:when test="@xsi:type = 'DQDomConsisType' or local-name() = 'DQDomConsis'">
						<B>Data quality report - Domain consistency:</B>
					</xsl:when>
					<xsl:when test="@xsi:type = 'DQFormConsisType' or local-name() = 'DQFormConsis'">
						<B>Data quality report - Format consistency:</B>
					</xsl:when>
					<xsl:when test="@xsi:type = 'DQTopConsisType' or local-name() = 'DQTopConsis'">
						<B>Data quality report - Topological consistency:</B>
					</xsl:when>
					<xsl:when test="@xsi:type = 'DQAbsExtPosAccType' or local-name() = 'DQAbsExtPosAcc'">
						<B>Data quality report - Absolute external positional accuracy:</B>
					</xsl:when>
					<xsl:when test="@xsi:type = 'DQGridDataPosAccType' or local-name() = 'DQGridDataPosAcc'">
						<B>Data quality report - Gridded data positional accuracy:</B>
					</xsl:when>
					<xsl:when test="@xsi:type = 'DQRelIntPosAccType' or local-name() = 'DQRelIntPosAcc'">
						<B>Data quality report - Relative internal positional accuracy:</B>
					</xsl:when>
					<xsl:when test="@xsi:type = 'DQAccTimeMeasType' or local-name() = 'DQAccTimeMeas'">
						<B>Data quality report - Accuracy of a time measurement:</B>
					</xsl:when>
					<xsl:when test="@xsi:type = 'DQTempConsisType' or local-name() = 'DQTempConsis'">
						<B>Data quality report - Temporal consistency:</B>
					</xsl:when>
					<xsl:when test="@xsi:type = 'DQTempValidType' or local-name() = 'DQTempValid'">
						<B>Data quality report - Temporal validity:</B>
					</xsl:when>
					<xsl:when test="@xsi:type = 'DQThemClassCorType' or local-name() = 'DQThemClassCor'">
						<B>Data quality report - Thematic classification correctness:</B>
					</xsl:when>
					<xsl:when test="@xsi:type = 'DQNonQuanAttAccType' or local-name() = 'DQNonQuanAttAcc'">
						<B>Data quality report - Non quantitative attribute accuracy:</B>
					</xsl:when>
					<xsl:when test="@xsi:type = 'DQQuanAttAccType' or local-name() = 'DQQuanAttAcc'">
						<B>Data quality report - Quantitative attribute accuracy:</B>
					</xsl:when>
					<xsl:otherwise>
						<B>Data quality report</B>
					</xsl:otherwise>
				</xsl:choose>
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="measName"/>
						<xsl:with-param name="label" select="'Name of the test: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="evalMethType"/>
						<xsl:with-param name="label" select="'Type of test: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="measDateTm"/>
						<xsl:with-param name="label" select="'Date of the test: '"/>
					</xsl:call-template>
					<xsl:if test="measName | evalMethType | measDateTm">
						<BR/>
						<BR/>
					</xsl:if>
					<xsl:call-template name="simple_fix_tpl">
						<xsl:with-param name="name" select="measDesc"/>
						<xsl:with-param name="label" select="'Measure produced by the test: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_fix_tpl">
						<xsl:with-param name="name" select="evalMethDesc"/>
						<xsl:with-param name="label" select="'Evaluation method: '"/>
					</xsl:call-template>
					<xsl:for-each select="measId">
						<DT class="title_2">
							<B>Registered standard procedure:</B>
						</DT>
						<DD>
							<DL>
								<xsl:call-template name="display_value_tpl">
									<xsl:with-param name="name" select="identCode"/>
									<xsl:with-param name="label" select="'Value: '"/>
								</xsl:call-template>
								<BR/>
								<xsl:apply-templates select="identAuth"/>
								<xsl:if test="(identCode) and not (identAuth)">
									<BR/>
									<BR/>
								</xsl:if>
							</DL>
						</DD>
					</xsl:for-each>
					<xsl:apply-templates select="evalProc"/>
					<xsl:apply-templates select="ConResult"/>
					<xsl:apply-templates select="QuanResult"/>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Conformance Result Information (B.2.4.3 DQ_ConformanceResult - line129) -->
	<xsl:template match="ConResult">
		<DD>
			<DT class="title_2">
				<B>Conformance test results:</B>
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_boolean_tpl">
						<xsl:with-param name="name" select="conPass"/>
						<xsl:with-param name="label" select="'Test passed: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="conExpl"/>
						<xsl:with-param name="label" select="'Meaning of the result: '"/>
					</xsl:call-template>
					<xsl:if test="conPass | conExpl">
						<BR/>
						<BR/>
					</xsl:if>
					<xsl:apply-templates select="conSpec"/>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Quantitative Result Information (B.2.4.3 DQ_QuantitativeResult - line133) -->
	<xsl:template match="QuanResult">
		<DD>
			<DT class="title_2">
				<B>Quality test results:</B>
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="quanValType"/>
						<xsl:with-param name="label" select="'Values required for conformance: '"/>
					</xsl:call-template>
					<xsl:apply-templates select="_UnitOfMeasure | UomLength | UomScale | UomTime | UomArea | UomVolume | UomAngle | UomVelocity"/>
					<xsl:apply-templates select="quanVal"/>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="errStat"/>
						<xsl:with-param name="label" select="'Statistic method used to determine the value: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<xsl:template match="quanVal">
		<DD>
			<DT class="title_2">
				<B>Quantitative value:</B>
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="otherValue"/>
						<xsl:with-param name="label" select="'Other value: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="recordValue"/>
						<xsl:with-param name="label" select="'Record value: '"/>
					</xsl:call-template>
					<xsl:if test="otherValue | recordValue">
						<BR/>
						<BR/>
					</xsl:if>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Reference System Information (B.2.7 MD_ReferenceSystem - line186) -->
	<xsl:template match="RefSystem | MdCoRefSys">
		<A>
			<xsl:attribute name="NAME"><xsl:value-of select="generate-id()"/></xsl:attribute>
			<HR/>
		</A>
		<DL>
			<xsl:if test="count(/metadata/RefSystem | /metadata/MdCoRefSys) = 1">
				<DT class="title_1">
					<B>Reference System Information:</B>
				</DT>
			</xsl:if>
			<xsl:if test="count(/metadata/RefSystem | /metadata/MdCoRefSys) &gt; 1">
				<DT class="title_1">
					<B>
        Reference System Information - System <xsl:number value="position()"/>: </B>
				</DT>
			</xsl:if>
			<BR/>
			<BR/>
			<DL class="common">
				<DD>
					<xsl:choose>
						<xsl:when test="name() = 'MdCoRefSys' or @xsi:type = 'MdCoRefSysType'">
							<xsl:call-template name="CoRefSys_tpl"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="RefSys_tpl"/>
						</xsl:otherwise>
					</xsl:choose>
				</DD>
			</DL>
		</DL>
		<A HREF="#Top">Back to Top</A>
	</xsl:template>
	<!-- Reference System Information (B.2.7 MD_ReferenceSystem - line186) -->
	<xsl:template name="RefSys_tpl">
		<DT class="title_2">
			<B>Reference system identifier:</B>
		</DT>
		<xsl:apply-templates select="refSysId"/>
		<BR/>
	</xsl:template>
	<!-- Metadata for Coordinate Systems (B.2.7 MD_CRS - line189) -->
	<xsl:template name="CoRefSys_tpl">
		<xsl:if test="refSysId">
			<DT class="title_2">
				<B>Reference system identifier:</B>
			</DT>
			<dl>
				<dt>
					<xsl:apply-templates select="refSysId"/>
				</dt>
			</dl>
		</xsl:if>
		<xsl:if test="projection">
			<DT class="title_2">
				<B>Projection identifier:</B>
			</DT>
			<xsl:apply-templates select="projection"/>
		</xsl:if>
		<xsl:if test="ellipsoid">
			<DT class="title_2">
				<B>Ellipsoid identifier:</B>
			</DT>
			<xsl:apply-templates select="ellipsoid"/>
		</xsl:if>
		<xsl:if test="datum">
			<DT class="title_2">
				<B>Datum identifier:</B>
			</DT>
			<xsl:apply-templates select="datum"/>
		</xsl:if>
		<xsl:apply-templates select="projParas"/>
		<xsl:apply-templates select="ellParas"/>
		<BR/>
	</xsl:template>
	<!-- Projection Parameter Information (B.2.7.5 MD_ProjectionParameters - line215) -->
	<xsl:template match="projParas">
		<DD>
			<DT class="title_2">
				<B>Projection parameters:</B>
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="zone"/>
						<xsl:with-param name="label" select="'Zone number: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="stanParal"/>
						<xsl:with-param name="label" select="'Standard parallel: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="longCntMer"/>
						<xsl:with-param name="label" select="'Longitude of central meridian: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="latProjOri"/>
						<xsl:with-param name="label" select="'Latitude of projection origin: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="sclFacEqu"/>
						<xsl:with-param name="label" select="'Scale factor at equator: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="hgtProsPt"/>
						<xsl:with-param name="label" select="'Height of prospective point above surface: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="longProjCnt"/>
						<xsl:with-param name="label" select="'Longitude of projection center: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="latProjCnt"/>
						<xsl:with-param name="label" select="'Latitude of projection center: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="sclFacCnt"/>
						<xsl:with-param name="label" select="'Scale factor at center line: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="stVrLongPl"/>
						<xsl:with-param name="label" select="'Straight vertical longitude from pole: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="sclFacPrOr"/>
						<xsl:with-param name="label" select="'Scale factor at projection origin: '"/>
					</xsl:call-template>
					<xsl:if test="zone | stanParal | longCntMer | latProjOri | sclFacEqu | 
      		hgtProsPt | longProjCnt | latProjCnt | sclFacCnt | stVrLongPl | sclFacPrOr">
						<BR/>
						<BR/>
					</xsl:if>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="falEastng"/>
						<xsl:with-param name="label" select="'False easting: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="falNorthng"/>
						<xsl:with-param name="label" select="'False northing: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="falENUnits"/>
						<xsl:with-param name="label" select="'False easting northing units: '"/>
					</xsl:call-template>
					<xsl:if test="(falEastng | falNorthng | falENUnits)">
						<BR/>
						<BR/>
					</xsl:if>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Ellipsoid Parameter Information (B.2.7.1 MD_EllipsoidParameters - line201) -->
	<xsl:template match="ellParas">
		<DD>
			<DT class="title_2">
				<B>Ellipsoid parameters:</B>
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="semiMajAx"/>
						<xsl:with-param name="label" select="'Semi-major axis: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="axisUnits"/>
						<xsl:with-param name="label" select="'Axis units: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="denFlatRat"/>
						<xsl:with-param name="label" select="'Denominator of flattening ratio: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
		<BR/>
	</xsl:template>
	<!-- Distribution Information (B.2.10 MD_Distribution - line270) -->
	<xsl:template match="metadata/distInfo">
		<A>
			<xsl:attribute name="NAME"><xsl:value-of select="generate-id()"/></xsl:attribute>
			<HR/>
		</A>
		<DL>
			<DT class="title_1">
				<B>Distribution Information:</B>
			</DT>
			<BR/>
			<BR/>
			<DL class="common">
				<DD>
					<xsl:apply-templates select="distributor"/>
					<xsl:apply-templates select="distFormat"/>
					<!-- toto -->
					<xsl:apply-templates select="distTranOps"/>
				</DD>
			</DL>
		</DL>
		<A HREF="#Top">Back to Top</A>
	</xsl:template>
	<!-- Distributor Information (B.2.10.2 MD_Distributor - line279) -->
	<xsl:template match="distributor | formatDist">
		<DD>
			<DT class="title_2">
				<B>Distributor:</B>
			</DT>
			<DD>
				<DL>
					<xsl:apply-templates select="distorCont"/>
					<xsl:apply-templates select="distorOrdPrc"/>
					<xsl:apply-templates select="distorTran"/>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Standard Order Process Information (B.2.10.5 MD_StandardOrderProcess - line298) -->
	<xsl:template match="distorOrdPrc">
		<DD>
			<DT class="title_2">
				<B>Ordering process:</B>
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="resFees"/>
						<xsl:with-param name="label" select="'Terms and fees: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_fix_tpl">
						<xsl:with-param name="name" select="ordInstr"/>
						<xsl:with-param name="label" select="'Instructions: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
		<BR/>
	</xsl:template>
	<xsl:template match="resFees">
		<DD>
			<DL>
				<xsl:call-template name="simple_value_tpl">
					<xsl:with-param name="name" select="retrievalTerms"/>
					<xsl:with-param name="label" select="'Retrieval terms: '"/>
				</xsl:call-template>
				<xsl:call-template name="simple_value_tpl">
					<xsl:with-param name="name" select="monetaryAmount/monetaryAmt"/>
					<xsl:with-param name="label" select="'Amount: '"/>
				</xsl:call-template>
				<xsl:call-template name="simple_value_tpl">
					<xsl:with-param name="name" select="monetaryAmount/monetaryType/isoName"/>
					<xsl:with-param name="label" select="'Monetary name: '"/>
				</xsl:call-template>
				<xsl:call-template name="simple_value_tpl">
					<xsl:with-param name="name" select="monetaryAmount/monetaryType/isoCode"/>
					<xsl:with-param name="label" select="'Monetary code: '"/>
				</xsl:call-template>
			</DL>
		</DD>
		<BR/>
	</xsl:template>
	<!-- Digital Transfer Options Information (B.2.10.1 MD_DigitalTransferOptions - line274) -->
	<xsl:template match="distorTran | distTranOps">
		<DD>
			<DT class="title_2">
				<B>Transfer options:</B>
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="display_value_tpl">
						<xsl:with-param name="name" select="transSize"/>
						<xsl:with-param name="label" select="'Transfer size: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="unitsODist"/>
						<xsl:with-param name="label" select="'Units of distribution (e.g., tiles): '"/>
					</xsl:call-template>
					<xsl:if test="transSize | unitsODist">
						<BR/>
						<BR/>
					</xsl:if>
					<xsl:apply-templates select="onLineSrc"/>
					<xsl:apply-templates select="offLineMed"/>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Medium Information (B.2.10.4 MD_Medium - line291) -->
	<xsl:template match="offLineMed">
		<DD>
			<DT class="title_2">
				<B>Medium of distribution:</B>
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="medName"/>
						<xsl:with-param name="label" select="'Medium name: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="medVol"/>
						<xsl:with-param name="label" select="'Number of media items: '"/>
					</xsl:call-template>
					<xsl:if test="medName | medVol">
						<BR/>
						<BR/>
					</xsl:if>
					<xsl:call-template name="simple_select_tpl">
						<xsl:with-param name="name" select="medFormat"/>
						<xsl:with-param name="label" select="'How the medium is written: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<xsl:template name="extension_tpl">
		<A name="Metadata_extension">
			<HR/>
		</A>
		<DL>
			<DT class="title_1">
				<B>Metadata extension : </B>
				<!-- label -->
			</DT>
			<BR/>
			<BR/>
			<DL class="common">
				<DD>
					<DT class="title_2">
						<B>Eurosion extension:</B>
					</DT>
					<DD class="specific">
						<DL>
							<xsl:call-template name="simple_select_tpl">
								<xsl:with-param name="name" select="metadata/euroExt/eurTopic"/>
								<xsl:with-param name="label" select="'Eurosion topic: '"/>
							</xsl:call-template>
						</DL>
					</DD>
					<xsl:if test="metadata/euroExt">
						<br/>
						<br/>
					</xsl:if>
					<DT class="title_2">
						<B>Gisco extension:</B>
					</DT>
					<DD class="specific">
						<DL>
							<xsl:call-template name="simple_value_tpl">
								<xsl:with-param name="name" select="metadata/giscoExt/esriExtentTypeCode"/>
								<xsl:with-param name="label" select="'Esri extent type code: '"/>
							</xsl:call-template>
							<xsl:call-template name="simple_value_tpl">
								<xsl:with-param name="name" select="metadata/giscoExt/thumbnail"/>
								<xsl:with-param name="label" select="'Thumbnail: '"/>
							</xsl:call-template>
							<xsl:call-template name="simple_value_tpl">
								<xsl:with-param name="name" select="metadata/giscoExt/enclosure"/>
								<xsl:with-param name="label" select="'Enclosure: '"/>
							</xsl:call-template>
							<xsl:call-template name="simple_value_tpl">
								<xsl:with-param name="name" select="metadata/giscoExt/giscoAttributesInfo"/>
								<xsl:with-param name="label" select="'Gisco attributes: '"/>
							</xsl:call-template>
							<xsl:call-template name="simple_value_tpl">
								<xsl:with-param name="name" select="metadata/giscoExt/esriNameObject"/>
								<xsl:with-param name="label" select="'Esri Name Object: '"/>
							</xsl:call-template>
						</DL>
					</DD>
					<xsl:if test="metadata/giscoExt">
						<br/>
						<br/>
					</xsl:if>
					<DT class="title_2">
						<B>Dublin Core extension:</B>
					</DT>
					<DD class="specific">
						<DL>
							<xsl:apply-templates select="metadata/dcmiExt/relation"/>
						</DL>
					</DD>
					<xsl:if test="metadata/dcmiExt">
						<br/>
						<br/>
					</xsl:if>
					<DT class="title_2">
						<B>Gelos extension:</B>
					</DT>
					<DD class="specific">
						<DL>
							<xsl:apply-templates select="metadata/gelosExt/glsExt"/>
							<xsl:apply-templates select="metadata/gelosExt/coastbaseExt"/>
							<xsl:apply-templates select="metadata/gelosExt/etccdsExt"/>
						</DL>
					</DD>
				</DD>
			</DL>
		</DL>
		<A HREF="#Top">Back to Top</A>
	</xsl:template>
	<xsl:template match="glsExt">
		<DD>
			<DT class="title_2">
				<B>Gelos:</B>
			</DT>
			<DD>
				<DL>
					<xsl:apply-templates select="place"/>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="uncontrolledVocabulary"/>
						<xsl:with-param name="label" select="'Uncontrolled vocabulary: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="medVol"/>
						<xsl:with-param name="label" select="'Number of media items: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="gelosTemporalCoverage"/>
						<xsl:with-param name="label" select="'gelos Temporal Coverage: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="gelosControlIdentifier"/>
						<xsl:with-param name="label" select="'gelosControlIdentifier: '"/>
					</xsl:call-template>
					<xsl:apply-templates select="gelosRecordSource"/>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="gelosLanguageOfRecord"/>
						<xsl:with-param name="label" select="'gelos Language Of Record: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="gelosDateOfLastUpdateRecord"/>
						<xsl:with-param name="label" select="'gelos Date Of Last Update Record: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
		<br/>
	</xsl:template>
	<xsl:template match="coastbaseExt">
		<DD>
			<DT class="title_2">
				<B>Coastbase:</B>
			</DT>
			<DD>
				<DL>
					<xsl:if test="habitatType">
						<DT class="title_2">
							<B>Habitat type:</B>
						</DT>
						<DD>
							<DL>
								<xsl:apply-templates select="habitatType"/>
							</DL>
						</DD>
					</xsl:if>
					<xsl:if test="issue">
						<DT class="title_2">
							<B>Issue:</B>
						</DT>
						<DD>
							<DL>
								<xsl:apply-templates select="issue"/>
							</DL>
						</DD>
					</xsl:if>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="method"/>
						<xsl:with-param name="label" select="'Method: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="aggregationLevel"/>
						<xsl:with-param name="label" select="'Aggregation level: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
		<br/>
	</xsl:template>
	<xsl:template match="etccdsExt">
		<DD>
			<DT class="title_2">
				<B>Etc cds:</B>
			</DT>
			<DD>
				<DL>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="englishTitle"/>
						<xsl:with-param name="label" select="'English title: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="englishAbstract"/>
						<xsl:with-param name="label" select="'english Abstract: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="thesTopTerm"/>
						<xsl:with-param name="label" select="'thesaurus Top Term: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="etccdsControlIdentifier"/>
						<xsl:with-param name="label" select="'etc cds Control Identifier: '"/>
					</xsl:call-template>
					<xsl:apply-templates select="etccdsRecordSource"/>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="etccdsLanguageOfRecord"/>
						<xsl:with-param name="label" select="'etc cds Language Of Record: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="etccdsDateOfLastUpdateRecord"/>
						<xsl:with-param name="label" select="'etc cds Date Of Last Update Record: '"/>
					</xsl:call-template>
				</DL>
			</DD>
		</DD>
	</xsl:template>
	<!-- Application schema Information (B.2.12 MD_ApplicationSchemaInformation - line320) -->
	<xsl:template match="metadata/appSchInfo">
		<A>
			<xsl:attribute name="NAME"><xsl:value-of select="generate-id()"/></xsl:attribute>
			<HR/>
		</A>
		<DL>
			<xsl:if test="count(/metadata/appSchInfo) = 1">
				<DT class="title_1">
					<B>Application Schema Information:</B>
					<!-- label -->
				</DT>
			</xsl:if>
			<xsl:if test="count(/metadata/appSchInfo) &gt; 1">
				<DT class="title_1">
					<B>
        Application Schema Information - Schema <xsl:number value="position()"/>
					</B>
				</DT>
			</xsl:if>
			<BR/>
			<BR/>
			<DL class="common">
				<DD>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="asSchLang"/>
						<xsl:with-param name="label" select="'Schema language used: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="asCstLang"/>
						<xsl:with-param name="label" select="'Formal language used in schema: '"/>
					</xsl:call-template>
					<xsl:if test="asSchLang | asCstLang">
						<BR/>
						<BR/>
					</xsl:if>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="asAscii"/>
						<xsl:with-param name="label" select="'Schema ASCII file: '"/>
					</xsl:call-template>
					<xsl:call-template name="simple_value_tpl">
						<xsl:with-param name="name" select="asGraFile/BinaryBase64"/>
						<xsl:with-param name="label" select="'Schema graphics file: '"/>
					</xsl:call-template>
				</DD>
			</DL>
		</DL>
		<A HREF="#Top">Back to Top</A>
	</xsl:template>
	<!-- ENUMERATION TEMPLATES -->
	<!-- 2 letter language code list from ISO 639 : 1988, in alphabetic order by code -->
	<!-- KMP : to be completed -->
	<xsl:template match="isoCode">
		<xsl:choose>
			<xsl:when test=". = 'aar'">Afar</xsl:when>
			<xsl:when test=". = 'abk'">Abkhazian</xsl:when>
			<xsl:when test=". = 'ace'">Ace</xsl:when>
			<xsl:when test=". = 'ach'">Ach</xsl:when>
			<xsl:when test=". = 'ada'">Ada</xsl:when>
			<xsl:when test=". = 'afa'">Afrikaans</xsl:when>
			<xsl:when test=". = 'afh'">Afh</xsl:when>
			<xsl:when test=". = 'afr'">Afr</xsl:when>
			<xsl:when test=". = 'am'">Amharic</xsl:when>
			<xsl:when test=". = 'ar'">Arabic</xsl:when>
			<xsl:when test=". = 'as'">Assamese</xsl:when>
			<xsl:when test=". = 'ay'">Aymara</xsl:when>
			<xsl:when test=". = 'az'">Azerbaijani</xsl:when>
			<xsl:when test=". = 'ba'">Bashkir</xsl:when>
			<xsl:when test=". = 'be'">Byelorussian</xsl:when>
			<xsl:when test=". = 'bg'">Bulgarian</xsl:when>
			<xsl:when test=". = 'bh'">Bihari</xsl:when>
			<xsl:when test=". = 'bi'">Bislama</xsl:when>
			<xsl:when test=". = 'bn'">Bengali, Bangla</xsl:when>
			<xsl:when test=". = 'bo'">Tibetan</xsl:when>
			<xsl:when test=". = 'br'">Breton</xsl:when>
			<xsl:when test=". = 'ca'">Catalan</xsl:when>
			<xsl:when test=". = 'co'">Corsican</xsl:when>
			<xsl:when test=". = 'cs'">Czech</xsl:when>
			<xsl:when test=". = 'cy'">Welsh</xsl:when>
			<xsl:when test=". = 'da'">Danish</xsl:when>
			<xsl:when test=". = 'de'">German</xsl:when>
			<xsl:when test=". = 'dz'">Bhutani</xsl:when>
			<xsl:when test=". = 'el'">Greek</xsl:when>
			<xsl:when test=". = 'en'">English</xsl:when>
			<xsl:when test=". = 'eo'">Esperanto</xsl:when>
			<xsl:when test=". = 'es'">Spanish</xsl:when>
			<xsl:when test=". = 'et'">Estonian</xsl:when>
			<xsl:when test=". = 'eu'">Basque</xsl:when>
			<xsl:when test=". = 'fa'">Persian</xsl:when>
			<xsl:when test=". = 'fi'">Finnish</xsl:when>
			<xsl:when test=". = 'fj'">Fiji</xsl:when>
			<xsl:when test=". = 'fo'">Faroese</xsl:when>
			<xsl:when test=". = 'fr'">French</xsl:when>
			<xsl:when test=". = 'fy'">Frisian</xsl:when>
			<xsl:when test=". = 'ga'">Irish</xsl:when>
			<xsl:when test=". = 'gd'">Scots Gaelic</xsl:when>
			<xsl:when test=". = 'gl'">Galician</xsl:when>
			<xsl:when test=". = 'gn'">Guarani</xsl:when>
			<xsl:when test=". = 'gu'">Gujarati</xsl:when>
			<xsl:when test=". = 'ha'">Hausa</xsl:when>
			<xsl:when test=". = 'hi'">Hindi</xsl:when>
			<xsl:when test=". = 'hr'">Croatian</xsl:when>
			<xsl:when test=". = 'hu'">Hungarian</xsl:when>
			<xsl:when test=". = 'hy'">Armenian</xsl:when>
			<xsl:when test=". = 'ia'">Interlingua</xsl:when>
			<xsl:when test=". = 'ie'">Interlingue</xsl:when>
			<xsl:when test=". = 'ik'">Inupiak</xsl:when>
			<xsl:when test=". = 'in'">Indonesian</xsl:when>
			<xsl:when test=". = 'is'">Icelandic</xsl:when>
			<xsl:when test=". = 'it'">Italian</xsl:when>
			<xsl:when test=". = 'iw'">Hebrew</xsl:when>
			<xsl:when test=". = 'ja'">Japanese</xsl:when>
			<xsl:when test=". = 'ji'">Yiddish</xsl:when>
			<xsl:when test=". = 'jw'">Javanese</xsl:when>
			<xsl:when test=". = 'ka'">Georgian</xsl:when>
			<xsl:when test=". = 'kk'">Kazakh</xsl:when>
			<xsl:when test=". = 'kl'">Greenlandic</xsl:when>
			<xsl:when test=". = 'km'">Cambodian</xsl:when>
			<xsl:when test=". = 'kn'">Kannada</xsl:when>
			<xsl:when test=". = 'ko'">Korean</xsl:when>
			<xsl:when test=". = 'ks'">Kashmiri</xsl:when>
			<xsl:when test=". = 'ku'">Kurdish</xsl:when>
			<xsl:when test=". = 'ky'">Kirghiz</xsl:when>
			<xsl:when test=". = 'la'">Latin</xsl:when>
			<xsl:when test=". = 'ln'">Lingala</xsl:when>
			<xsl:when test=". = 'lo'">Laothian</xsl:when>
			<xsl:when test=". = 'lt'">Lithuanian</xsl:when>
			<xsl:when test=". = 'lv'">Latvian, Lettish</xsl:when>
			<xsl:when test=". = 'mg'">Malagasy</xsl:when>
			<xsl:when test=". = 'mi'">Maori</xsl:when>
			<xsl:when test=". = 'mk'">Macedonian</xsl:when>
			<xsl:when test=". = 'ml'">Malayalam</xsl:when>
			<xsl:when test=". = 'mn'">Mongolian</xsl:when>
			<xsl:when test=". = 'mo'">Moldavian</xsl:when>
			<xsl:when test=". = 'mr'">Marathi</xsl:when>
			<xsl:when test=". = 'ms'">Malay</xsl:when>
			<xsl:when test=". = 'mt'">Maltese</xsl:when>
			<xsl:when test=". = 'my'">Burmese</xsl:when>
			<xsl:when test=". = 'na'">Nauru</xsl:when>
			<xsl:when test=". = 'ne'">Nepali</xsl:when>
			<xsl:when test=". = 'nl'">Dutch</xsl:when>
			<xsl:when test=". = 'no'">Norwegian</xsl:when>
			<xsl:when test=". = 'oc'">Occitan</xsl:when>
			<xsl:when test=". = 'om'">(Afan) Oromo</xsl:when>
			<xsl:when test=". = 'or'">Oriya</xsl:when>
			<xsl:when test=". = 'pa'">Punjabi</xsl:when>
			<xsl:when test=". = 'pl'">Polish</xsl:when>
			<xsl:when test=". = 'ps'">Pashto, Pushto</xsl:when>
			<xsl:when test=". = 'pt'">Portugese</xsl:when>
			<xsl:when test=". = 'qu'">Quechua</xsl:when>
			<xsl:when test=". = 'rm'">Rhaeto-Romance</xsl:when>
			<xsl:when test=". = 'rn'">Kirundi</xsl:when>
			<xsl:when test=". = 'ro'">Romanian</xsl:when>
			<xsl:when test=". = 'ru'">Russian</xsl:when>
			<xsl:when test=". = 'rw'">Kinyarwanda</xsl:when>
			<xsl:when test=". = 'sa'">Sanskrit</xsl:when>
			<xsl:when test=". = 'sd'">Sindhi</xsl:when>
			<xsl:when test=". = 'sg'">Sangho</xsl:when>
			<xsl:when test=". = 'sh'">Serbo-Croatian</xsl:when>
			<xsl:when test=". = 'si'">Singhalese</xsl:when>
			<xsl:when test=". = 'sk'">Slovak</xsl:when>
			<xsl:when test=". = 'sl'">Slovenian</xsl:when>
			<xsl:when test=". = 'sm'">Samoan</xsl:when>
			<xsl:when test=". = 'sn'">Shona</xsl:when>
			<xsl:when test=". = 'so'">Somali</xsl:when>
			<xsl:when test=". = 'sq'">Albanian</xsl:when>
			<xsl:when test=". = 'sr'">Serbian</xsl:when>
			<xsl:when test=". = 'ss'">Siswati</xsl:when>
			<xsl:when test=". = 'st'">Sesotho</xsl:when>
			<xsl:when test=". = 'su'">Sundanese</xsl:when>
			<xsl:when test=". = 'sv'">Swedish</xsl:when>
			<xsl:when test=". = 'sw'">Swahili</xsl:when>
			<xsl:when test=". = 'ta'">Tamil</xsl:when>
			<xsl:when test=". = 'te'">Telugu</xsl:when>
			<xsl:when test=". = 'tg'">Tajik</xsl:when>
			<xsl:when test=". = 'th'">Thai</xsl:when>
			<xsl:when test=". = 'ti'">Tigrinya</xsl:when>
			<xsl:when test=". = 'tk'">Turkmen</xsl:when>
			<xsl:when test=". = 'tl'">Tagalog</xsl:when>
			<xsl:when test=". = 'tn'">Setswana</xsl:when>
			<xsl:when test=". = 'to'">Tonga</xsl:when>
			<xsl:when test=". = 'tr'">Turkish</xsl:when>
			<xsl:when test=". = 'ts'">Tsonga</xsl:when>
			<xsl:when test=". = 'tt'">Tatar</xsl:when>
			<xsl:when test=". = 'tw'">Twi</xsl:when>
			<xsl:when test=". = 'uk'">Ukrainian</xsl:when>
			<xsl:when test=". = 'ur'">Urdu</xsl:when>
			<xsl:when test=". = 'uz'">Uzbek</xsl:when>
			<xsl:when test=". = 'vi'">Vietnamese</xsl:when>
			<xsl:when test=". = 'vo'">Volapuk</xsl:when>
			<xsl:when test=". = 'wo'">Wolof</xsl:when>
			<xsl:when test=". = 'xh'">Xhosa</xsl:when>
			<xsl:when test=". = 'yo'">Yoruba</xsl:when>
			<xsl:when test=". = 'zh'">Chinese</xsl:when>
			<xsl:when test=". = 'zu'">Zulu</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- Character set code list (B.5.10 MD_CharacterSetCode) -->
	<xsl:template match="mdChar | dataChar">
		<xsl:for-each select="CharSetCd">
			<xsl:choose>
				<xsl:when test="@value = '001'">ucs2 - 16 bit Universal Character Set</xsl:when>
				<xsl:when test="@value = '002'">ucs4 - 32 bit Universal Character Set</xsl:when>
				<xsl:when test="@value = '003'">utf7 - 7 bit UCS Transfer Format</xsl:when>
				<xsl:when test="@value = '004'">utf8 - 8 bit UCS Transfer Format</xsl:when>
				<xsl:when test="@value = '005'">utf16 - 16 bit UCS Transfer Format</xsl:when>
				<xsl:when test="@value = '006'">8859part1 - Latin-1, Western European</xsl:when>
				<xsl:when test="@value = '007'">8859part2 - Latin-2, Central European</xsl:when>
				<xsl:when test="@value = '008'">8859part3 - Latin-3, South European</xsl:when>
				<xsl:when test="@value = '009'">8859part4 - Latin-4, North European</xsl:when>
				<xsl:when test="@value = '010'">8859part5 - Cyrillic</xsl:when>
				<xsl:when test="@value = '011'">8859part6 - Arabic</xsl:when>
				<xsl:when test="@value = '012'">8859part7 - Greek</xsl:when>
				<xsl:when test="@value = '013'">8859part8 - Hebrew</xsl:when>
				<xsl:when test="@value = '014'">8859part9 - Latin-5, Turkish</xsl:when>
				<xsl:when test="@value = '000'">8859part10 </xsl:when>
				<xsl:when test="@value = '015'">8859part11 - Thai</xsl:when>
				<xsl:when test="@value = '000'">8859part13</xsl:when>
				<xsl:when test="@value = '016'">8859part14 - Latin-8</xsl:when>
				<xsl:when test="@value = '017'">8859part15 - Latin-9</xsl:when>
				<xsl:when test="@value = '000'">8859part16</xsl:when>
				<xsl:when test="@value = '018'">jis - Japanese for electronic transmission</xsl:when>
				<xsl:when test="@value = '019'">shiftJIS - Japanese for MS-DOS</xsl:when>
				<xsl:when test="@value = '020'">eucJP - Japanese for UNIX</xsl:when>
				<xsl:when test="@value = '021'">U.S. ASCII</xsl:when>
				<xsl:when test="@value = '022'">ebcdic - IBM mainframe</xsl:when>
				<xsl:when test="@value = '023'">eucKR - Korean</xsl:when>
				<xsl:when test="@value = '024'">big5 - Taiwanese</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="."/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="maintFreq">
		<xsl:for-each select="MaintFreqCd">
			<xsl:choose>
				<xsl:when test="@value = '001'">continual</xsl:when>
				<xsl:when test="@value = '002'">daily</xsl:when>
				<xsl:when test="@value = '003'">weekly</xsl:when>
				<xsl:when test="@value = '004'">fortnightly</xsl:when>
				<xsl:when test="@value = '005'">monthly</xsl:when>
				<xsl:when test="@value = '006'">quarterly</xsl:when>
				<xsl:when test="@value = '007'">biannually</xsl:when>
				<xsl:when test="@value = '008'">annually</xsl:when>
				<xsl:when test="@value = '009'">as needed</xsl:when>
				<xsl:when test="@value = '0010'">irregular</xsl:when>
				<xsl:when test="@value = '0011'">not planned</xsl:when>
				<xsl:when test="@value = '0012'">unknown</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="."/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="role">
		<xsl:for-each select="RoleCd">
			<xsl:choose>
				<xsl:when test="@value = '001'">resource provider</xsl:when>
				<xsl:when test="@value = '002'">custodian</xsl:when>
				<xsl:when test="@value = '003'">owner</xsl:when>
				<xsl:when test="@value = '004'">user</xsl:when>
				<xsl:when test="@value = '005'">distributor</xsl:when>
				<xsl:when test="@value = '006'">originator</xsl:when>
				<xsl:when test="@value = '007'">point of contact</xsl:when>
				<xsl:when test="@value = '008'">principal investigator</xsl:when>
				<xsl:when test="@value = '009'">processor</xsl:when>
				<xsl:when test="@value = '010'">publisher</xsl:when>
				<xsl:when test="@value = '011'">author</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="."/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="orFunct">
		<xsl:for-each select="OnFunctCd">
			<xsl:choose>
				<xsl:when test="@value = '001'">download</xsl:when>
				<xsl:when test="@value = '002'">information</xsl:when>
				<xsl:when test="@value = '003'">offline access</xsl:when>
				<xsl:when test="@value = '004'">order</xsl:when>
				<xsl:when test="@value = '005'">search</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="."/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="mdHrLv | scpLvl">
		<xsl:for-each select="ScopeCd">
			<xsl:choose>
				<xsl:when test="@value = '001'">attribute</xsl:when>
				<xsl:when test="@value = '002'">attribute type</xsl:when>
				<xsl:when test="@value = '003'">collection hardware</xsl:when>
				<xsl:when test="@value = '004'">collection session</xsl:when>
				<xsl:when test="@value = '005'">dataset</xsl:when>
				<xsl:when test="@value = '006'">series</xsl:when>
				<xsl:when test="@value = '007'">non-geographic dataset</xsl:when>
				<xsl:when test="@value = '008'">dimension group</xsl:when>
				<xsl:when test="@value = '009'">feature</xsl:when>
				<xsl:when test="@value = '010'">feature type</xsl:when>
				<xsl:when test="@value = '011'">property type</xsl:when>
				<xsl:when test="@value = '012'">field session</xsl:when>
				<xsl:when test="@value = '013'">software</xsl:when>
				<xsl:when test="@value = '014'">service</xsl:when>
				<xsl:when test="@value = '015'">model</xsl:when>
				<xsl:when test="@value = '016'">tile</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="."/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="refDateType">
		<xsl:for-each select="DateTypCd">
			<xsl:choose>
				<xsl:when test="@value = '001'">document digital</xsl:when>
				<xsl:when test="@value = '002'">document hardcopy</xsl:when>
				<xsl:when test="@value = '003'">image digital</xsl:when>
				<xsl:when test="@value = '004'">image hardcopy</xsl:when>
				<xsl:when test="@value = '005'">map digital</xsl:when>
				<xsl:when test="@value = '006'">map hardcopy</xsl:when>
				<xsl:when test="@value = '007'">model digital</xsl:when>
				<xsl:when test="@value = '008'">model hardcopy</xsl:when>
				<xsl:when test="@value = '009'">profile digital</xsl:when>
				<xsl:when test="@value = '010'">profile hardcopy</xsl:when>
				<xsl:when test="@value = '011'">table digital</xsl:when>
				<xsl:when test="@value = '012'">table hardcopy</xsl:when>
				<xsl:when test="@value = '013'">video digital</xsl:when>
				<xsl:when test="@value = '014'">video hardcopy</xsl:when>
				<xsl:when test="@value = '015'">collection</xsl:when>
				<xsl:when test="@value = '016'">dataset</xsl:when>
				<xsl:when test="@value = '017'">event</xsl:when>
				<xsl:when test="@value = '018'">image</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="."/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="presForm">
	<xsl:for-each select="PresFormCd">
		<xsl:choose>
			<xsl:when test="@value = '001'">creation</xsl:when>
			<xsl:when test="@value = '002'">publication</xsl:when>
			<xsl:when test="@value = '003'">revision</xsl:when>
			<xsl:when test="@value = '004'">modified</xsl:when>
			<xsl:when test="@value = '005'">publication</xsl:when>
			<xsl:when test="@value = '006'">validation</xsl:when>
			<xsl:when test="@value = '007'">available</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="tpCat">
	<xsl:for-each select="./TopicCatCd">
		<xsl:choose>
			<xsl:when test="@value = '001'">farming</xsl:when>
			<xsl:when test="@value = '002'">biota</xsl:when>
			<xsl:when test="@value = '003'">boundaries</xsl:when>
			<xsl:when test="@value = '004'">climatology, meteorology, and atmosphere</xsl:when>
			<xsl:when test="@value = '005'">economy</xsl:when>
			<xsl:when test="@value = '006'">elevation</xsl:when>
			<xsl:when test="@value = '007'">environment</xsl:when>
			<xsl:when test="@value = '008'">geo-scientific information</xsl:when>
			<xsl:when test="@value = '009'">health</xsl:when>
			<xsl:when test="@value = '010'">imagery base maps, and earth cover</xsl:when>
			<xsl:when test="@value = '011'">intelligence, and military</xsl:when>
			<xsl:when test="@value = '012'">inland waters</xsl:when>
			<xsl:when test="@value = '013'">location</xsl:when>
			<xsl:when test="@value = '014'">oceans</xsl:when>
			<xsl:when test="@value = '015'">planning, and cadastre</xsl:when>
			<xsl:when test="@value = '016'">society</xsl:when>
			<xsl:when test="@value = '017'">structure</xsl:when>
			<xsl:when test="@value = '018'">transportation</xsl:when>
			<xsl:when test="@value = '019'">utilities, and communication</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="idStatus">
		<xsl:choose>
			<xsl:when test=". = 'completed'">completed</xsl:when>
			<xsl:when test=". = 'historicalArchive'">historical archive</xsl:when>
			<xsl:when test=". = 'obsolete'">obsolete</xsl:when>
			<xsl:when test=". = 'onGoing'">on-going</xsl:when>
			<xsl:when test=". = 'planned'">planned</xsl:when>
			<xsl:when test=". = 'required'">required</xsl:when>
			<xsl:when test=". = 'underDevelopment'">under development</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="spatRpType">
	<xsl:for-each select="spatRepTypCd">
		<xsl:choose>
			<xsl:when test="@value = '001'">vector</xsl:when>
			<xsl:when test="@value = '002'">grid</xsl:when>
			<xsl:when test="@value = '003'">text table</xsl:when>
			<xsl:when test="@value = '004'">tin</xsl:when>
			<xsl:when test="@value = '005'">stereo model</xsl:when>
			<xsl:when test="@value = '006'">video</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="cellGeo">
	<xsl:for-each select="CellGeoCd">
		<xsl:choose>
			<xsl:when test="@value = '001'">point</xsl:when>
			<xsl:when test="@value = '002'">area</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="dimName">
	<xsl:for-each select="DimNameTypCd">
		<xsl:choose>
			<xsl:when test="@value = '001'">row (y-axis)</xsl:when>
			<xsl:when test="@value = '002'">column (x-axis)</xsl:when>
			<xsl:when test="@value = '003'">vertical (z-axis)</xsl:when>
			<xsl:when test="@value = '004'">track (along direction of motion)</xsl:when>
			<xsl:when test="@value = '005'">cross track (perpendicular to direction of motion)</xsl:when>
			<xsl:when test="@value = '006'">scal line of sensor</xsl:when>
			<xsl:when test="@value = '007'">sample (element along scan line)</xsl:when>
			<xsl:when test="@value = '008'">time duration</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="keyTyp">
	<xsl:for-each select="KeyTypCd">
		<xsl:choose>
			<xsl:when test="@value = '001'">discipline</xsl:when>
			<xsl:when test="@value = '002'">place</xsl:when>
			<xsl:when test="@value = '003'">temporal</xsl:when>
			<xsl:when test="@value = '004'">stratum</xsl:when>
			<xsl:when test="@value = '005'">theme</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="topLvl">
		<xsl:choose>
			<xsl:when test=". = 'geometryOnly'">geometry only</xsl:when>
			<xsl:when test=". = 'toplogy1D'">topology 1D</xsl:when>
			<xsl:when test=". = 'planarGraph'">planar graph</xsl:when>
			<xsl:when test=". = 'fullPlanarGraph'">full planar graph</xsl:when>
			<xsl:when test=". = 'surfaceGraph'">surface graph</xsl:when>
			<xsl:when test=". = 'fullSurfaceGraph'">full surface graph</xsl:when>
			<xsl:when test=". = 'topology3D'">topology 3D</xsl:when>
			<xsl:when test=". = 'fullTopology3D'">full topology 3D</xsl:when>
			<xsl:when test=". = 'abstract'">abstract</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="geoObjTyp">
		<xsl:choose>
			<xsl:when test=". = 'complex'">complexes</xsl:when>
			<xsl:when test=". = 'composite'">composites</xsl:when>
			<xsl:when test=". = 'curve'">curve</xsl:when>
			<xsl:when test=". = 'point'">point</xsl:when>
			<xsl:when test=". = 'solid'">solid</xsl:when>
			<xsl:when test=". = 'surface'">surface</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="contentTyp">
		<xsl:choose>
			<xsl:when test=". = 'image'">image</xsl:when>
			<xsl:when test=". = 'thematicClassification'">thematic classification</xsl:when>
			<xsl:when test=". = 'physicalMeasurement'">physical measurement</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="pointInPixel">
		<xsl:choose>
			<xsl:when test=". = 'center'">center</xsl:when>
			<xsl:when test=". = 'lowerLeft'">lower left</xsl:when>
			<xsl:when test=". = 'lowerRight'">lower right</xsl:when>
			<xsl:when test=". = 'upperLeft'">upper left</xsl:when>
			<xsl:when test=". = 'upperRight'">upper right</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="evalMethType">
		<xsl:choose>
			<xsl:when test=". = 'directInternal'">direct internal</xsl:when>
			<xsl:when test=". = 'directExternal'">direct external</xsl:when>
			<xsl:when test=". = 'indirect'">indirect</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="falENUnits | axisUnits">
		<xsl:choose>
			<xsl:when test=". = 'kilometer'">kilometer</xsl:when>
			<xsl:when test=". = 'meter'">meter</xsl:when>
			<xsl:when test=". = 'decimeter'">decimeter</xsl:when>
			<xsl:when test=". = 'mile'">mile'</xsl:when>
			<xsl:when test=". = 'yard'">yard</xsl:when>
			<xsl:when test=". = 'foot'">foot</xsl:when>
			<xsl:when test=". = 'nanometer'">nanometer</xsl:when>
			<xsl:when test=". = 'micrometer'">micrometer</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="medName">
		<xsl:for-each select="MedNameCd">
		<xsl:choose>
			<xsl:when test="@value = '001'">CD-ROM</xsl:when>
			<xsl:when test="@value = '002'">DVD</xsl:when>
			<xsl:when test="@value = '003'">DVD-ROM</xsl:when>
			<xsl:when test="@value = '004'">3.5 inch floppy disk</xsl:when>
			<xsl:when test="@value = '005'">5.25 inch floppy disk</xsl:when>
			<xsl:when test="@value = '006'">7 track tape</xsl:when>
			<xsl:when test="@value = '007'">9 track tape</xsl:when>
			<xsl:when test="@value = '008'">3480 cartridge</xsl:when>
			<xsl:when test="@value = '009'">3490 cartridge</xsl:when>
			<xsl:when test="@value = '010'">3580 cartridge</xsl:when>
			<xsl:when test="@value = '011'">4mm cartridge tape</xsl:when>
			<xsl:when test="@value = '012'">8mm cartridge tape</xsl:when>
			<xsl:when test="@value = '013'">0.25 inch cartridge tape</xsl:when>
			<xsl:when test="@value = '014'">digital linear tape</xsl:when>
			<xsl:when test="@value = '015'">online link</xsl:when>
			<xsl:when test="@value = '016'">satellite link</xsl:when>
			<xsl:when test="@value = '017'">telephone link</xsl:when>
			<xsl:when test="@value = '018'">hardcopy</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="medFormat">
		<xsl:choose>
			<xsl:when test=". = 'cpio'">cpio</xsl:when>
			<xsl:when test=". = 'tar'">tar</xsl:when>
			<xsl:when test=". = 'highSierra'">high sierra file system</xsl:when>
			<xsl:when test=". = 'iso9660'">iso9660 (CD-ROM)</xsl:when>
			<xsl:when test=". = 'iso9660RockRidge'">iso9660 Rock Ridge</xsl:when>
			<xsl:when test=". = 'iso9660AppleHFS'">iso9660 Apple HFS</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="eurTopic">
		<xsl:choose>
			<xsl:when test=". = 'elevation'">elevation</xsl:when>
			<xsl:when test=". = 'bathymetry'">bathymetry</xsl:when>
			<xsl:when test=". = 'shoreline'">shoreline</xsl:when>
			<xsl:when test=". = 'terrestrialAdministrativeBoundaries'">terrestrial Administrative Boundaries</xsl:when>
			<xsl:when test=". = 'marineAdministrativeBoundaries'">marine Administrative Boundaries</xsl:when>
			<xsl:when test=". = infrastructure">infrastructure</xsl:when>
			<xsl:when test=". = 'hydrography'">hydrography</xsl:when>
			<xsl:when test=". = 'geologicalGeomorphologicalFeatures'">geological Geomorphological Features</xsl:when>
			<xsl:when test=". = 'erosionTrend'">erosion Trend</xsl:when>
			<xsl:when test=". = 'actualLandCover'">actual Land Cover</xsl:when>
			<xsl:when test=". = 'landCoverChangesBetween1975And1990'">land Cover Changes Between 1975 And 1990</xsl:when>
			<xsl:when test=". = 'hydrodynamics'">hydrodynamics</xsl:when>
			<xsl:when test=". = 'seaLevel'">seaLevel</xsl:when>
			<xsl:when test=". = 'biodiversityAndNaturalHabitat'">biodiversity And Natural Habitat</xsl:when>
			<xsl:when test=". = 'socioEconomicalAspects'">socio Economical Aspects</xsl:when>
			<xsl:when test=". = 'landOwnershipPatterns'">land Ownership Patterns</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="accessConsts | useConsts">
	<xsl:for-each select="RestrictCd">
		<xsl:choose>
			<xsl:when test="@value = '001'">copyright</xsl:when>
			<xsl:when test="@value = '002'">patent</xsl:when>
			<xsl:when test="@value = '003'">patent pending</xsl:when>
			<xsl:when test="@value = '004'">trademark</xsl:when>
			<xsl:when test="@value = '005'">license</xsl:when>
			<xsl:when test="@value = '006'">intellectual property rights</xsl:when>
			<xsl:when test="@value = '007'">restricted</xsl:when>
			<xsl:when test="@value = '008'">other restrictions</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
